// Code generated by go-swagger; DO NOT EDIT.

package client

// This file was generated by the swagger tool.
// Editing this file might prove futile when you re-run the swagger generate command

import (
	"github.com/go-openapi/runtime"
	httptransport "github.com/go-openapi/runtime/client"

	strfmt "github.com/go-openapi/strfmt"

	"webank/DI/restapi/api_v1/client/dss_user_info"
	"webank/DI/restapi/api_v1/client/experiment_runs"
	"webank/DI/restapi/api_v1/client/experiments"
	"webank/DI/restapi/api_v1/client/linkis_job"
	"webank/DI/restapi/api_v1/client/models"
	"webank/DI/restapi/api_v1/client/operations"
	"webank/DI/restapi/api_v1/client/training_data"
)

// Default dlaas HTTP client.
var Default = NewHTTPClient(nil)

const (
	// DefaultHost is the default Host
	// found in Meta (info) section of spec file
	DefaultHost string = "di.prophecis.com"
	// DefaultBasePath is the default BasePath
	// found in Meta (info) section of spec file
	DefaultBasePath string = "/"
)

// DefaultSchemes are the default schemes found in Meta (info) section of spec file
var DefaultSchemes = []string{"https"}

// NewHTTPClient creates a new dlaas HTTP client.
func NewHTTPClient(formats strfmt.Registry) *Dlaas {
	return NewHTTPClientWithConfig(formats, nil)
}

// NewHTTPClientWithConfig creates a new dlaas HTTP client,
// using a customizable transport config.
func NewHTTPClientWithConfig(formats strfmt.Registry, cfg *TransportConfig) *Dlaas {
	// ensure nullable parameters have default
	if cfg == nil {
		cfg = DefaultTransportConfig()
	}

	// create transport and client
	transport := httptransport.New(cfg.Host, cfg.BasePath, cfg.Schemes)
	return New(transport, formats)
}

// New creates a new dlaas client
func New(transport runtime.ClientTransport, formats strfmt.Registry) *Dlaas {
	// ensure nullable parameters have default
	if formats == nil {
		formats = strfmt.Default
	}

	cli := new(Dlaas)
	cli.Transport = transport

	cli.DssUserInfo = dss_user_info.New(transport, formats)

	cli.ExperimentRuns = experiment_runs.New(transport, formats)

	cli.Experiments = experiments.New(transport, formats)

	cli.LinkisJob = linkis_job.New(transport, formats)

	cli.Models = models.New(transport, formats)

	cli.Operations = operations.New(transport, formats)

	cli.TrainingData = training_data.New(transport, formats)

	return cli
}

// DefaultTransportConfig creates a TransportConfig with the
// default settings taken from the meta section of the spec file.
func DefaultTransportConfig() *TransportConfig {
	return &TransportConfig{
		Host:     DefaultHost,
		BasePath: DefaultBasePath,
		Schemes:  DefaultSchemes,
	}
}

// TransportConfig contains the transport related info,
// found in the meta section of the spec file.
type TransportConfig struct {
	Host     string
	BasePath string
	Schemes  []string
}

// WithHost overrides the default host,
// provided by the meta section of the spec file.
func (cfg *TransportConfig) WithHost(host string) *TransportConfig {
	cfg.Host = host
	return cfg
}

// WithBasePath overrides the default basePath,
// provided by the meta section of the spec file.
func (cfg *TransportConfig) WithBasePath(basePath string) *TransportConfig {
	cfg.BasePath = basePath
	return cfg
}

// WithSchemes overrides the default schemes,
// provided by the meta section of the spec file.
func (cfg *TransportConfig) WithSchemes(schemes []string) *TransportConfig {
	cfg.Schemes = schemes
	return cfg
}

// Dlaas is a client for dlaas
type Dlaas struct {
	DssUserInfo *dss_user_info.Client

	ExperimentRuns *experiment_runs.Client

	Experiments *experiments.Client

	LinkisJob *linkis_job.Client

	Models *models.Client

	Operations *operations.Client

	TrainingData *training_data.Client

	Transport runtime.ClientTransport
}

// SetTransport changes the transport on the client and all its subresources
func (c *Dlaas) SetTransport(transport runtime.ClientTransport) {
	c.Transport = transport

	c.DssUserInfo.SetTransport(transport)

	c.ExperimentRuns.SetTransport(transport)

	c.Experiments.SetTransport(transport)

	c.LinkisJob.SetTransport(transport)

	c.Models.SetTransport(transport)

	c.Operations.SetTransport(transport)

	c.TrainingData.SetTransport(transport)

}
