// Code generated by go-swagger; DO NOT EDIT.

package server

// This file was generated by the swagger tool.
// Editing this file might prove futile when you re-run the swagger generate command

import (
	"encoding/json"
)

var (
	// SwaggerJSON embedded version of the swagger document used at generation time
	SwaggerJSON json.RawMessage
	// FlatSwaggerJSON embedded flattened version of the swagger document used at generation time
	FlatSwaggerJSON json.RawMessage
)

func init() {
	SwaggerJSON = json.RawMessage([]byte(`{
  "consumes": [
    "application/json"
  ],
  "produces": [
    "application/json"
  ],
  "schemes": [
    "https"
  ],
  "swagger": "2.0",
  "info": {
    "description": "Prophecis Rest Service\n",
    "title": "Prophecis Rest Service",
    "version": "1.0.0"
  },
  "host": "di.prophecis.com",
  "basePath": "/",
  "paths": {
    "/di/v1/codeUpload": {
      "post": {
        "description": "upload code.zip to s3",
        "consumes": [
          "multipart/form-data"
        ],
        "produces": [
          "application/json"
        ],
        "tags": [
          "Experiments"
        ],
        "summary": "upload code to s3",
        "operationId": "codeUpload",
        "parameters": [
          {
            "type": "file",
            "name": "file",
            "in": "formData",
            "required": true
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "schema": {
              "$ref": "#/definitions/CodeUploadResponse"
            }
          },
          "401": {
            "description": "Unauthorized",
            "schema": {
              "$ref": "#/definitions/Error"
            }
          },
          "404": {
            "description": "Code ZIP upload failed",
            "schema": {
              "$ref": "#/definitions/Error"
            }
          }
        }
      }
    },
    "/di/v1/dashboards": {
      "get": {
        "description": "Get dashboard.",
        "summary": "Get the dashboard belongs to a User",
        "operationId": "getDashboards",
        "parameters": [
          {
            "type": "string",
            "default": "",
            "description": "entity clusterName",
            "name": "clusterName",
            "in": "query"
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "schema": {
              "$ref": "#/definitions/GetDashboardsResponse"
            }
          },
          "403": {
            "description": "Forbidden",
            "schema": {
              "$ref": "#/definitions/Error"
            }
          },
          "404": {
            "description": "The dashboard cannot be found",
            "schema": {
              "$ref": "#/definitions/Error"
            }
          }
        }
      }
    },
    "/di/v1/dssUserInfo": {
      "get": {
        "description": "Get DSS UserInfo",
        "tags": [
          "DssUserInfo"
        ],
        "summary": "Get DSS UserInfo",
        "operationId": "getDssUserInfo",
        "parameters": [
          {
            "type": "string",
            "name": "id",
            "in": "query",
            "required": true
          },
          {
            "type": "string",
            "name": "workspaceId",
            "in": "query",
            "required": true
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "schema": {
              "$ref": "#/definitions/DssUserInfo"
            }
          },
          "401": {
            "description": "Unauthorized",
            "schema": {
              "$ref": "#/definitions/Error"
            }
          },
          "404": {
            "description": "Get UserInfo Not Found",
            "schema": {
              "$ref": "#/definitions/Error"
            }
          }
        }
      }
    },
    "/di/v1/experiment": {
      "put": {
        "description": "Update Experiment Flow Json.",
        "tags": [
          "Experiments"
        ],
        "summary": "Update Experiment",
        "operationId": "updateExperiment",
        "parameters": [
          {
            "description": "The Experiment Put Request.",
            "name": "experiment",
            "in": "body",
            "required": true,
            "schema": {
              "$ref": "#/definitions/ProphecisExperimentPutRequest"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "OK"
          },
          "401": {
            "description": "Unauthorized",
            "schema": {
              "$ref": "#/definitions/Error"
            }
          },
          "404": {
            "description": "Model create failed",
            "schema": {
              "$ref": "#/definitions/Error"
            }
          }
        }
      },
      "post": {
        "description": "Create Experiment.",
        "tags": [
          "Experiments"
        ],
        "summary": "createExperiment",
        "operationId": "createExperiment",
        "parameters": [
          {
            "description": "The Experiment Request",
            "name": "experiment",
            "in": "body",
            "required": true,
            "schema": {
              "$ref": "#/definitions/ProphecisExperimentRequest"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "schema": {
              "$ref": "#/definitions/ProphecisExperimentIDResponse"
            }
          },
          "401": {
            "description": "Unauthorized",
            "schema": {
              "$ref": "#/definitions/Error"
            }
          },
          "404": {
            "description": "The Models cannot be found",
            "schema": {
              "$ref": "#/definitions/Error"
            }
          }
        }
      }
    },
    "/di/v1/experiment/import": {
      "post": {
        "description": "import experiment.",
        "consumes": [
          "multipart/form-data"
        ],
        "produces": [
          "application/json"
        ],
        "tags": [
          "Experiments"
        ],
        "summary": "import Zip To Create Experimetn.",
        "operationId": "importExperiment",
        "parameters": [
          {
            "type": "file",
            "name": "file",
            "in": "formData",
            "required": true
          },
          {
            "type": "string",
            "name": "fileName",
            "in": "formData"
          },
          {
            "type": "number",
            "format": "int64",
            "default": 0,
            "description": "if experimentId is 0 or not provided, create experiment in db; if exists, get experiment by experimentId, update it.",
            "name": "experimentId",
            "in": "formData"
          },
          {
            "type": "string",
            "default": "MLFlow",
            "description": "experiment type, default \"MLFlow\", choose next value, \"WTSS\" \"DSS\" \"MLFlow\"",
            "name": "createType",
            "in": "formData"
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "schema": {
              "$ref": "#/definitions/ProphecisExperimentIDResponse"
            }
          },
          "401": {
            "description": "Unauthorized",
            "schema": {
              "$ref": "#/definitions/Error"
            }
          },
          "404": {
            "description": "The Models cannot be found",
            "schema": {
              "$ref": "#/definitions/Error"
            }
          }
        }
      }
    },
    "/di/v1/experiment/importdss": {
      "post": {
        "description": "import Experiment(DSS)",
        "consumes": [
          "application/json"
        ],
        "produces": [
          "application/json"
        ],
        "tags": [
          "Experiments"
        ],
        "summary": "Import Experiment(DSS)",
        "operationId": "importExperimentDss",
        "parameters": [
          {
            "type": "string",
            "name": "resourceId",
            "in": "formData",
            "required": true
          },
          {
            "type": "string",
            "name": "version",
            "in": "formData"
          },
          {
            "type": "string",
            "name": "desc",
            "in": "formData"
          },
          {
            "type": "number",
            "format": "int64",
            "default": 0,
            "description": "if experimentId is 0 or not provided, create experiment in db; if exists, get experiment by experimentId, update it.",
            "name": "experimentId",
            "in": "formData"
          }
        ],
        "responses": {
          "200": {
            "description": "Import Experiment(Dss) Response definition",
            "schema": {
              "$ref": "#/definitions/ProphecisImportExperimentDssResponse"
            }
          },
          "401": {
            "description": "Unauthorized",
            "schema": {
              "$ref": "#/definitions/Error"
            }
          },
          "404": {
            "description": "The Experiment cannot be found",
            "schema": {
              "$ref": "#/definitions/Error"
            }
          }
        }
      }
    },
    "/di/v1/experiment/{id}": {
      "get": {
        "description": "Get Experiment By Experiment Id.",
        "tags": [
          "Experiments"
        ],
        "summary": "Get Experiment",
        "operationId": "getExperiment",
        "parameters": [
          {
            "type": "number",
            "format": "int64",
            "description": "experiment id",
            "name": "id",
            "in": "path",
            "required": true
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "schema": {
              "$ref": "#/definitions/ProphecisExperimentGetResponse"
            }
          },
          "401": {
            "description": "Unauthorized",
            "schema": {
              "$ref": "#/definitions/Error"
            }
          },
          "404": {
            "description": "Model create failed",
            "schema": {
              "$ref": "#/definitions/Error"
            }
          }
        }
      },
      "put": {
        "description": "Put Experiment Basic Info By Experiment Id.",
        "tags": [
          "Experiments"
        ],
        "summary": "Put Experiment Basic Info",
        "operationId": "updateExperimentInfo",
        "parameters": [
          {
            "type": "number",
            "format": "int64",
            "description": "experiment id",
            "name": "id",
            "in": "path",
            "required": true
          },
          {
            "name": "experiment",
            "in": "body",
            "schema": {
              "$ref": "#/definitions/ProphecisExperimentPutBasicInfo"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "OK"
          },
          "401": {
            "description": "Unauthorized",
            "schema": {
              "$ref": "#/definitions/Error"
            }
          },
          "404": {
            "description": "Model create failed",
            "schema": {
              "$ref": "#/definitions/Error"
            }
          }
        }
      },
      "delete": {
        "description": "Delete Experiment.",
        "tags": [
          "Experiments"
        ],
        "summary": "Delete Experiment",
        "operationId": "deleteExperiment",
        "parameters": [
          {
            "type": "number",
            "format": "int64",
            "description": "experiment id",
            "name": "id",
            "in": "path",
            "required": true
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "schema": {
              "$ref": "#/definitions/BasicModel"
            }
          },
          "401": {
            "description": "Unauthorized",
            "schema": {
              "$ref": "#/definitions/Error"
            }
          },
          "404": {
            "description": "Model create failed",
            "schema": {
              "$ref": "#/definitions/Error"
            }
          }
        }
      }
    },
    "/di/v1/experiment/{id}/copy": {
      "get": {
        "description": "Copy Experiment.",
        "tags": [
          "Experiments"
        ],
        "summary": "copyExperiment",
        "operationId": "copyExperiment",
        "parameters": [
          {
            "type": "number",
            "format": "int64",
            "description": "experiment id",
            "name": "id",
            "in": "path",
            "required": true
          },
          {
            "type": "string",
            "description": "create type, include MLFLOW, DSS, WTSS",
            "name": "create_type",
            "in": "query"
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "schema": {
              "$ref": "#/definitions/ProphecisExperimentRequest"
            }
          },
          "401": {
            "description": "Unauthorized",
            "schema": {
              "$ref": "#/definitions/Error"
            }
          },
          "404": {
            "description": "The Models cannot be found",
            "schema": {
              "$ref": "#/definitions/Error"
            }
          }
        }
      }
    },
    "/di/v1/experiment/{id}/export": {
      "get": {
        "description": "export Experiment.",
        "tags": [
          "Experiments"
        ],
        "summary": "Export Experiment",
        "operationId": "exportExperiment",
        "parameters": [
          {
            "type": "number",
            "format": "int64",
            "name": "id",
            "in": "path",
            "required": true
          }
        ],
        "responses": {
          "200": {
            "description": "Model definition",
            "schema": {
              "type": "string",
              "format": "binary"
            }
          },
          "401": {
            "description": "Unauthorized",
            "schema": {
              "$ref": "#/definitions/Error"
            }
          },
          "404": {
            "description": "The Experiment cannot be found",
            "schema": {
              "$ref": "#/definitions/Error"
            }
          }
        }
      }
    },
    "/di/v1/experiment/{id}/exportdss": {
      "get": {
        "description": "export Experiment(DSS)",
        "tags": [
          "Experiments"
        ],
        "summary": "Export Expriments(DSS)",
        "operationId": "exportExperimentDss",
        "parameters": [
          {
            "type": "number",
            "format": "int64",
            "name": "id",
            "in": "path",
            "required": true
          }
        ],
        "responses": {
          "200": {
            "description": "Export Experiment(Dss) Response definition",
            "schema": {
              "$ref": "#/definitions/ProphecisExportExperimentDssResponse"
            }
          },
          "401": {
            "description": "Unauthorized",
            "schema": {
              "$ref": "#/definitions/Error"
            }
          },
          "404": {
            "description": "The Experiment cannot be found",
            "schema": {
              "$ref": "#/definitions/Error"
            }
          }
        }
      }
    },
    "/di/v1/experimentJob/{linkis_exec_id}/status": {
      "get": {
        "description": "Get Flow Execution Msg From /api/entrance/${exec_id}/status",
        "tags": [
          "LinkisJob"
        ],
        "summary": "Get Linkis Execution Job Status.",
        "operationId": "getLinkisJobStatus",
        "parameters": [
          {
            "type": "string",
            "name": "linkis_exec_id",
            "in": "path",
            "required": true
          }
        ],
        "responses": {
          "200": {
            "description": "OK"
          },
          "401": {
            "description": "Unauthorized",
            "schema": {
              "$ref": "#/definitions/Error"
            }
          },
          "404": {
            "description": "Model create failed",
            "schema": {
              "$ref": "#/definitions/Error"
            }
          }
        }
      }
    },
    "/di/v1/experimentJob/{linkis_task_id}/log": {
      "get": {
        "description": "Get Flow Execution Msg From /api/entrance/${exec_id}/log",
        "tags": [
          "LinkisJob"
        ],
        "summary": "Get Linkis Execution Log.",
        "operationId": "getLinkisJobLog",
        "parameters": [
          {
            "type": "number",
            "format": "int64",
            "name": "linkis_task_id",
            "in": "path",
            "required": true
          }
        ],
        "responses": {
          "200": {
            "description": "OK"
          },
          "401": {
            "description": "Unauthorized",
            "schema": {
              "$ref": "#/definitions/Error"
            }
          },
          "404": {
            "description": "Model create failed",
            "schema": {
              "$ref": "#/definitions/Error"
            }
          }
        }
      }
    },
    "/di/v1/experimentRun/{exec_id}/execution": {
      "get": {
        "description": "Get Flow Execution Msg From /api/entrance/${exec_id}/execution",
        "tags": [
          "ExperimentRuns"
        ],
        "summary": "Linkis Execution Method.",
        "operationId": "getExperimentRunExecution",
        "parameters": [
          {
            "type": "number",
            "format": "int64",
            "name": "exec_id",
            "in": "path",
            "required": true
          }
        ],
        "responses": {
          "200": {
            "description": "OK"
          },
          "401": {
            "description": "Unauthorized",
            "schema": {
              "$ref": "#/definitions/Error"
            }
          },
          "404": {
            "description": "Model create failed",
            "schema": {
              "$ref": "#/definitions/Error"
            }
          }
        }
      }
    },
    "/di/v1/experimentRun/{exp_id}": {
      "post": {
        "description": "Run an Experiment Flow By Experiment Id.",
        "tags": [
          "ExperimentRuns"
        ],
        "summary": "Run an Experiment Flow By Experiment Id.",
        "operationId": "createExperimentRun",
        "parameters": [
          {
            "type": "number",
            "format": "int64",
            "name": "exp_id",
            "in": "path",
            "required": true
          },
          {
            "name": "experimentRunRequest",
            "in": "body",
            "schema": {
              "$ref": "#/definitions/ProphecisExperimentRunRequest"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "schema": {
              "$ref": "#/definitions/ProphecisExperimentRun"
            }
          },
          "401": {
            "description": "Unauthorized",
            "schema": {
              "$ref": "#/definitions/Error"
            }
          },
          "404": {
            "description": "The Models cannot be found",
            "schema": {
              "$ref": "#/definitions/Error"
            }
          }
        }
      }
    },
    "/di/v1/experimentRun/{id}": {
      "get": {
        "description": "Get an Experiment Flow Exec Record By Experiment Id \u0026 Flow_Exec_ID.",
        "tags": [
          "ExperimentRuns"
        ],
        "summary": "Get an Experiment Flow Exec Record By Experiment Id \u0026 Flow_Exec_ID.",
        "operationId": "getExperimentRun",
        "parameters": [
          {
            "type": "number",
            "format": "int64",
            "name": "id",
            "in": "path",
            "required": true
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "schema": {
              "$ref": "#/definitions/ProphecisExperimentRunsGetResponse"
            }
          },
          "401": {
            "description": "Unauthorized",
            "schema": {
              "$ref": "#/definitions/Error"
            }
          },
          "404": {
            "description": "The Models cannot be found",
            "schema": {
              "$ref": "#/definitions/Error"
            }
          }
        }
      },
      "delete": {
        "description": "Stop And Delete Experiment Exec Record By Experiment Id.",
        "tags": [
          "ExperimentRuns"
        ],
        "summary": "Stop And Delete Experiment Exec Record By Experiment Id.",
        "operationId": "deleteExperimentRun",
        "parameters": [
          {
            "type": "number",
            "format": "int64",
            "name": "id",
            "in": "path",
            "required": true
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "schema": {
              "$ref": "#/definitions/BasicModel"
            }
          },
          "401": {
            "description": "Unauthorized",
            "schema": {
              "$ref": "#/definitions/Error"
            }
          },
          "404": {
            "description": "The Models cannot be found",
            "schema": {
              "$ref": "#/definitions/Error"
            }
          }
        }
      }
    },
    "/di/v1/experimentRun/{id}/kill": {
      "get": {
        "description": "Kill Experiment Run By Exec Id.",
        "tags": [
          "ExperimentRuns"
        ],
        "summary": "Kill Experiment Run By Exec Id.",
        "operationId": "killExperimentRun",
        "parameters": [
          {
            "type": "number",
            "format": "int64",
            "description": "The Experiment Run Id",
            "name": "id",
            "in": "path",
            "required": true
          }
        ],
        "responses": {
          "200": {
            "description": "OK"
          },
          "401": {
            "description": "Unauthorized",
            "schema": {
              "$ref": "#/definitions/Error"
            }
          },
          "404": {
            "description": "Model create failed",
            "schema": {
              "$ref": "#/definitions/Error"
            }
          }
        }
      }
    },
    "/di/v1/experimentRun/{id}/log": {
      "get": {
        "description": "Get Experiment Exec Log By Exec Id.",
        "tags": [
          "ExperimentRuns"
        ],
        "summary": "Get Experiment Exec Log By Exec Id.",
        "operationId": "getExperimentRunLog",
        "parameters": [
          {
            "type": "number",
            "format": "int64",
            "name": "id",
            "in": "path",
            "required": true
          },
          {
            "type": "number",
            "format": "int64",
            "description": "log from line number",
            "name": "from_line",
            "in": "query"
          },
          {
            "type": "number",
            "format": "int64",
            "description": "get log size",
            "name": "size",
            "in": "query"
          }
        ],
        "responses": {
          "200": {
            "description": "OK"
          },
          "401": {
            "description": "Unauthorized",
            "schema": {
              "$ref": "#/definitions/Error"
            }
          },
          "404": {
            "description": "Model create failed",
            "schema": {
              "$ref": "#/definitions/Error"
            }
          }
        }
      }
    },
    "/di/v1/experimentRun/{id}/status": {
      "get": {
        "description": "Get ExperimentRun Status By Id.",
        "tags": [
          "ExperimentRuns"
        ],
        "summary": "Get ExperimentRun Status By Id.",
        "operationId": "getExperimentRunStatus",
        "parameters": [
          {
            "type": "number",
            "format": "int64",
            "description": "The Experiment Run Id",
            "name": "id",
            "in": "path",
            "required": true
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "schema": {
              "$ref": "#/definitions/ExperimentRunStatusResponse"
            }
          },
          "401": {
            "description": "Unauthorized",
            "schema": {
              "$ref": "#/definitions/Error"
            }
          },
          "404": {
            "description": "Model create failed",
            "schema": {
              "$ref": "#/definitions/Error"
            }
          }
        }
      }
    },
    "/di/v1/experimentRuns": {
      "get": {
        "description": "List ExperimentRuns.",
        "tags": [
          "ExperimentRuns"
        ],
        "summary": "List ExperimentRuns.",
        "operationId": "listExperimentRuns",
        "parameters": [
          {
            "type": "string",
            "name": "query_str",
            "in": "query"
          },
          {
            "type": "string",
            "name": "username",
            "in": "query"
          },
          {
            "type": "number",
            "format": "int64",
            "name": "page",
            "in": "query"
          },
          {
            "type": "number",
            "format": "int64",
            "name": "size",
            "in": "query"
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "schema": {
              "$ref": "#/definitions/ProphecisExperimentRuns"
            }
          },
          "401": {
            "description": "Unauthorized",
            "schema": {
              "$ref": "#/definitions/Error"
            }
          },
          "404": {
            "description": "The Models cannot be found",
            "schema": {
              "$ref": "#/definitions/Error"
            }
          }
        }
      }
    },
    "/di/v1/experimentRunsHistory/{exp_id}": {
      "get": {
        "description": "Get Experiment's ExperimentRun History",
        "tags": [
          "ExperimentRuns"
        ],
        "summary": "ExperimentRun History",
        "operationId": "getExperimentRunsHistory",
        "parameters": [
          {
            "type": "number",
            "format": "int64",
            "name": "exp_id",
            "in": "path",
            "required": true
          },
          {
            "type": "string",
            "name": "query_str",
            "in": "query"
          },
          {
            "type": "string",
            "name": "username",
            "in": "query"
          },
          {
            "type": "number",
            "format": "int64",
            "name": "page",
            "in": "query"
          },
          {
            "type": "number",
            "format": "int64",
            "name": "size",
            "in": "query"
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "schema": {
              "$ref": "#/definitions/ProphecisExperiments"
            }
          },
          "401": {
            "description": "Unauthorized",
            "schema": {
              "$ref": "#/definitions/Error"
            }
          },
          "404": {
            "description": "Get ExperimentRun's History Failed",
            "schema": {
              "$ref": "#/definitions/Error"
            }
          }
        }
      }
    },
    "/di/v1/experimentTag": {
      "post": {
        "description": "Create Experiment Tag.",
        "tags": [
          "Experiments"
        ],
        "summary": "createExperimentTag",
        "operationId": "createExperimentTag",
        "parameters": [
          {
            "description": "The Experiment Tag Request",
            "name": "experimentTag",
            "in": "body",
            "required": true,
            "schema": {
              "$ref": "#/definitions/ProphecisExperimentTagPostRequest"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "schema": {
              "$ref": "#/definitions/ProphecisExperimentTag"
            }
          },
          "401": {
            "description": "Unauthorized",
            "schema": {
              "$ref": "#/definitions/Error"
            }
          },
          "404": {
            "description": "The Models cannot be found",
            "schema": {
              "$ref": "#/definitions/Error"
            }
          }
        }
      }
    },
    "/di/v1/experimentTag/{id}": {
      "delete": {
        "description": "Delete Experiment Ta.",
        "tags": [
          "Experiments"
        ],
        "summary": "deleteExperimentTag",
        "operationId": "deleteExperimentTag",
        "parameters": [
          {
            "type": "number",
            "format": "int64",
            "description": "The Experiment Request",
            "name": "id",
            "in": "path",
            "required": true
          }
        ],
        "responses": {
          "200": {
            "description": "OK"
          },
          "401": {
            "description": "Unauthorized",
            "schema": {
              "$ref": "#/definitions/Error"
            }
          },
          "404": {
            "description": "The Models cannot be found",
            "schema": {
              "$ref": "#/definitions/Error"
            }
          }
        }
      }
    },
    "/di/v1/experiments": {
      "get": {
        "description": "List Experiments by User.",
        "tags": [
          "Experiments"
        ],
        "summary": "List Experiments by User.",
        "operationId": "listExperiments",
        "parameters": [
          {
            "type": "string",
            "name": "query_str",
            "in": "query"
          },
          {
            "type": "string",
            "name": "username",
            "in": "query"
          },
          {
            "type": "number",
            "format": "int64",
            "name": "page",
            "in": "query"
          },
          {
            "type": "number",
            "format": "int64",
            "name": "size",
            "in": "query"
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "schema": {
              "$ref": "#/definitions/ProphecisExperiments"
            }
          },
          "401": {
            "description": "Unauthorized",
            "schema": {
              "$ref": "#/definitions/Error"
            }
          },
          "404": {
            "description": "Model create failed",
            "schema": {
              "$ref": "#/definitions/Error"
            }
          }
        }
      }
    },
    "/di/v1/job/{training_id}/log": {
      "get": {
        "description": "Get Job Log By Exec Id And Line.",
        "tags": [
          "Models"
        ],
        "summary": "Get Job Log By Exec Id And Line.",
        "operationId": "getJobLogByLine",
        "parameters": [
          {
            "type": "string",
            "name": "training_id",
            "in": "path",
            "required": true
          },
          {
            "type": "number",
            "format": "int64",
            "description": "log start line",
            "name": "size",
            "in": "query",
            "required": true
          },
          {
            "type": "number",
            "format": "int64",
            "description": "log end line",
            "name": "from",
            "in": "query",
            "required": true
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "schema": {
              "$ref": "#/definitions/LogResponse"
            }
          },
          "401": {
            "description": "Unauthorized",
            "schema": {
              "$ref": "#/definitions/Error"
            }
          },
          "404": {
            "description": "Model create failed",
            "schema": {
              "$ref": "#/definitions/Error"
            }
          }
        }
      }
    },
    "/di/v1/logs/{model_id}/loglines": {
      "get": {
        "tags": [
          "TrainingData"
        ],
        "summary": "Get loglines, based on query",
        "operationId": "getLoglines",
        "parameters": [
          {
            "type": "string",
            "format": "string",
            "description": "The id of the model.",
            "name": "model_id",
            "in": "path",
            "required": true
          },
          {
            "enum": [
              "TERM",
              "NESTED",
              "MATCH"
            ],
            "type": "string",
            "default": "TERM",
            "name": "searchType",
            "in": "query"
          },
          {
            "type": "string",
            "format": "string",
            "default": "",
            "description": "Time from which to show logs. If this value precedes the time a pod was started, only logs since the pod start will be returned. If this value is in the future, no logs will be returned. If this value is a raw integer, it represents the time that the metric occured: representing the number of milliseconds since midnight January 1, 1970. If this value is a negative integer, it represents the number of lines to count backwards. If this value is empty, the logs since the beginning of the job will be returned",
            "name": "since_time",
            "in": "query"
          },
          {
            "type": "integer",
            "format": "int32",
            "description": "Number of lines to output.",
            "name": "pagesize",
            "in": "query"
          },
          {
            "type": "integer",
            "format": "int64",
            "description": "If positive, line number from start, if negative line counting from end",
            "name": "pos",
            "in": "query"
          },
          {
            "type": "string",
            "default": "2017-10-01",
            "description": "The release date of the version of the API you want to use. Specify dates in YYYY-MM-DD format.",
            "name": "version",
            "in": "query"
          }
        ],
        "responses": {
          "200": {
            "description": "(streaming responses)",
            "schema": {
              "$ref": "#/definitions/v1LogLinesList"
            }
          },
          "401": {
            "description": "Unauthorized",
            "schema": {
              "$ref": "#/definitions/Error"
            }
          }
        }
      }
    },
    "/di/v1/models": {
      "get": {
        "description": "Get a list of all available deep learning models and their configuration that a user can see.\n",
        "tags": [
          "Models"
        ],
        "summary": "Get a list of available deep learning models.",
        "operationId": "listModels",
        "parameters": [
          {
            "type": "string",
            "default": "2017-02-13",
            "description": "The release date of the version of the API you want to use. Specify dates in YYYY-MM-DD format.",
            "name": "version",
            "in": "query"
          },
          {
            "type": "string",
            "default": "",
            "description": "owner's userid.",
            "name": "userid",
            "in": "query"
          },
          {
            "type": "string",
            "default": "",
            "description": "job's namespace.",
            "name": "namespace",
            "in": "query"
          },
          {
            "type": "string",
            "default": "1",
            "description": "page number.",
            "name": "page",
            "in": "query"
          },
          {
            "type": "string",
            "default": "10",
            "description": "entity number per page.",
            "name": "size",
            "in": "query"
          },
          {
            "type": "string",
            "default": "",
            "description": "entity clusterName",
            "name": "clusterName",
            "in": "query"
          },
          {
            "type": "string",
            "default": "",
            "description": "experiment's id.",
            "name": "exp_id",
            "in": "query"
          },
          {
            "type": "string",
            "default": "",
            "description": "experiment run's id.",
            "name": "exp_run_id",
            "in": "query"
          }
        ],
        "responses": {
          "200": {
            "description": "List of deep learning models.",
            "schema": {
              "$ref": "#/definitions/ModelList"
            }
          },
          "401": {
            "description": "Unauthorized",
            "schema": {
              "$ref": "#/definitions/Error"
            }
          }
        }
      },
      "post": {
        "description": "Trains a deep neural network written in a DL framework supported by the DLaaS platform (such as Caffe, Tensorflow, etc.). The model code has to be uploaded and configuration parameters have to be provided.\n",
        "consumes": [
          "multipart/form-data"
        ],
        "produces": [
          "application/json"
        ],
        "tags": [
          "Models"
        ],
        "summary": "Trains a new deep learning model.",
        "operationId": "postModel",
        "parameters": [
          {
            "type": "file",
            "description": "The deep learning model code as compressed archive (ZIP).",
            "name": "model_definition",
            "in": "formData"
          },
          {
            "type": "file",
            "description": "The manifest providing configuration for the deep learning model, the training data and the training execution.",
            "name": "manifest",
            "in": "formData",
            "required": true
          },
          {
            "type": "string",
            "default": "2017-02-13",
            "description": "The release date of the version of the API you want to use. Specify dates in YYYY-MM-DD format.",
            "name": "version",
            "in": "query"
          }
        ],
        "responses": {
          "201": {
            "description": "Deep learning model successfully accepted.",
            "schema": {
              "$ref": "#/definitions/BasicNewModel"
            },
            "headers": {
              "Location": {
                "type": "string",
                "description": "Location header containing the model id."
              }
            }
          },
          "400": {
            "description": "Error in the the model_definition or manifest.",
            "schema": {
              "$ref": "#/definitions/Error"
            }
          },
          "401": {
            "description": "Unauthorized",
            "schema": {
              "$ref": "#/definitions/Error"
            }
          }
        }
      }
    },
    "/di/v1/models/{model_id}": {
      "get": {
        "description": "Get detailed information about a model such as training status.\n",
        "tags": [
          "Models"
        ],
        "summary": "Get detailed information about a model.",
        "operationId": "getModel",
        "parameters": [
          {
            "type": "string",
            "description": "The id of the model.",
            "name": "model_id",
            "in": "path",
            "required": true
          },
          {
            "type": "string",
            "default": "2017-02-13",
            "description": "The release date of the version of the API you want to use. Specify dates in YYYY-MM-DD format.",
            "name": "version",
            "in": "query"
          }
        ],
        "responses": {
          "200": {
            "description": "Detailed model and training information.",
            "schema": {
              "$ref": "#/definitions/Model"
            }
          },
          "401": {
            "description": "Unauthorized",
            "schema": {
              "$ref": "#/definitions/Error"
            }
          },
          "404": {
            "description": "Model with the given ID not found.",
            "schema": {
              "$ref": "#/definitions/Error"
            }
          }
        }
      },
      "delete": {
        "description": "Deletes an existing model. It does not delete any data in the user's data store.\n",
        "tags": [
          "Models"
        ],
        "summary": "Deletes an existing model",
        "operationId": "deleteModel",
        "parameters": [
          {
            "type": "string",
            "format": "string",
            "description": "The id of the model.",
            "name": "model_id",
            "in": "path",
            "required": true
          },
          {
            "type": "string",
            "default": "2017-02-13",
            "description": "The release date of the version of the API you want to use. Specify dates in YYYY-MM-DD format.",
            "name": "version",
            "in": "query"
          }
        ],
        "responses": {
          "200": {
            "description": "Model deleted successfully.",
            "schema": {
              "$ref": "#/definitions/BasicModel"
            }
          },
          "401": {
            "description": "Unauthorized",
            "schema": {
              "$ref": "#/definitions/Error"
            }
          },
          "404": {
            "description": "The model cannot be found.",
            "schema": {
              "$ref": "#/definitions/Error"
            }
          }
        }
      },
      "patch": {
        "description": "Changes the status of the training progress to the given ` + "`" + `status` + "`" + ` value (currently ` + "`" + `halt` + "`" + ` only). Halt means the training will be stopped and the last snapshot will be stored and can be retrieved.",
        "tags": [
          "Models"
        ],
        "summary": "Changes the status of the training progress.",
        "operationId": "patchModel",
        "parameters": [
          {
            "type": "string",
            "description": "The id of the model.",
            "name": "model_id",
            "in": "path",
            "required": true
          },
          {
            "description": "Currently accepts \"halt\" as the only valid value.",
            "name": "payload",
            "in": "body",
            "required": true,
            "schema": {
              "$ref": "#/definitions/TrainingUpdate"
            }
          },
          {
            "type": "string",
            "default": "2017-02-13",
            "description": "The release date of the version of the API you want to use. Specify dates in YYYY-MM-DD format.",
            "name": "version",
            "in": "query",
            "required": true
          }
        ],
        "responses": {
          "202": {
            "description": "Training successfully halted.",
            "schema": {
              "$ref": "#/definitions/BasicModel"
            }
          },
          "400": {
            "description": "Incorrect status specified.",
            "schema": {
              "$ref": "#/definitions/Error"
            }
          },
          "401": {
            "description": "Unauthorized",
            "schema": {
              "$ref": "#/definitions/Error"
            }
          },
          "404": {
            "description": "Model with the given ID not found.",
            "schema": {
              "$ref": "#/definitions/Error"
            }
          }
        }
      }
    },
    "/di/v1/models/{model_id}/definition": {
      "get": {
        "description": "Downloads the model definition that was initial used for training as ZIP archive.",
        "produces": [
          "application/octet-stream"
        ],
        "tags": [
          "Models"
        ],
        "summary": "Downloads the model definition.",
        "operationId": "downloadModelDefinition",
        "parameters": [
          {
            "type": "string",
            "format": "string",
            "description": "The id of the model.",
            "name": "model_id",
            "in": "path",
            "required": true
          },
          {
            "type": "string",
            "default": "2017-02-13",
            "description": "The release date of the version of the API you want to use. Specify dates in YYYY-MM-DD format.",
            "name": "version",
            "in": "query"
          }
        ],
        "responses": {
          "200": {
            "description": "Model definition",
            "schema": {
              "type": "string",
              "format": "binary"
            }
          },
          "401": {
            "description": "Unauthorized",
            "schema": {
              "$ref": "#/definitions/Error"
            }
          },
          "404": {
            "description": "The model cannot be found.",
            "schema": {
              "$ref": "#/definitions/Error"
            }
          }
        }
      }
    },
    "/di/v1/models/{model_id}/export": {
      "get": {
        "description": "Export the model definition",
        "produces": [
          "application/octet-stream"
        ],
        "tags": [
          "Models"
        ],
        "summary": "Export the model definition.",
        "operationId": "exportModel",
        "parameters": [
          {
            "type": "string",
            "format": "string",
            "description": "The id of the model.",
            "name": "model_id",
            "in": "path",
            "required": true
          }
        ],
        "responses": {
          "200": {
            "description": "Model definition",
            "schema": {
              "type": "string",
              "format": "binary"
            }
          },
          "401": {
            "description": "Unauthorized",
            "schema": {
              "$ref": "#/definitions/Error"
            }
          },
          "404": {
            "description": "The model cannot be found.",
            "schema": {
              "$ref": "#/definitions/Error"
            }
          }
        }
      }
    },
    "/di/v1/models/{model_id}/kill": {
      "get": {
        "description": "Get detailed information about a model such as training status.\n",
        "tags": [
          "Models"
        ],
        "summary": "Get detailed information about a model.",
        "operationId": "KillTrainingModel",
        "parameters": [
          {
            "type": "string",
            "description": "The id of the model.",
            "name": "model_id",
            "in": "path",
            "required": true
          }
        ],
        "responses": {
          "200": {
            "description": "Detailed model and training information.",
            "schema": {
              "$ref": "#/definitions/Model"
            }
          },
          "401": {
            "description": "Unauthorized",
            "schema": {
              "$ref": "#/definitions/Error"
            }
          },
          "404": {
            "description": "Model with the given ID not found.",
            "schema": {
              "$ref": "#/definitions/Error"
            }
          }
        }
      }
    },
    "/di/v1/models/{model_id}/logs": {
      "get": {
        "security": [],
        "description": "Get training logs for the given model as websocket stream. Each message can contain one or more log lines.\n",
        "produces": [
          "application/octet-stream"
        ],
        "tags": [
          "Models"
        ],
        "summary": "Get training logs as websocket stream.\n",
        "operationId": "getLogs",
        "parameters": [
          {
            "type": "string",
            "format": "string",
            "description": "The id of the model.",
            "name": "model_id",
            "in": "path",
            "required": true
          },
          {
            "type": "boolean",
            "format": "boolean",
            "default": false,
            "description": "Follow the log stream if true. Default false.",
            "name": "follow",
            "in": "query"
          },
          {
            "type": "string",
            "format": "string",
            "default": "",
            "description": "An RFC3339 timestamp from which to show logs. If this value precedes the time a pod was started, only logs since the pod start will be returned.  If this value is in the future, no logs will be returned.",
            "name": "since_time",
            "in": "query"
          },
          {
            "type": "string",
            "default": "2017-02-13",
            "description": "The release date of the version of the API you want to use. Specify dates in YYYY-MM-DD format.",
            "name": "version",
            "in": "query"
          }
        ],
        "responses": {
          "200": {
            "description": "Dump of the training log to-date",
            "schema": {
              "type": "string",
              "format": "binary"
            }
          },
          "401": {
            "description": "Unauthorized",
            "schema": {
              "$ref": "#/definitions/Error"
            }
          },
          "404": {
            "description": "The model cannot be found.",
            "schema": {
              "$ref": "#/definitions/Error"
            }
          }
        }
      }
    },
    "/di/v1/models/{model_id}/retry": {
      "get": {
        "description": "Retry detailed information about a model such as training status.\n",
        "tags": [
          "Models"
        ],
        "summary": "Retry detailed information about a model.",
        "operationId": "retryModel",
        "parameters": [
          {
            "type": "string",
            "description": "The id of the model.",
            "name": "model_id",
            "in": "path",
            "required": true
          },
          {
            "type": "string",
            "default": "2017-02-13",
            "description": "The release date of the version of the API you want to use. Specify dates in YYYY-MM-DD format.",
            "name": "version",
            "in": "query"
          }
        ],
        "responses": {
          "200": {
            "description": "Model repeat successfully.",
            "schema": {
              "$ref": "#/definitions/BasicModel"
            }
          },
          "401": {
            "description": "Unauthorized",
            "schema": {
              "$ref": "#/definitions/Error"
            }
          },
          "404": {
            "description": "The model cannot be found.",
            "schema": {
              "$ref": "#/definitions/Error"
            }
          }
        }
      }
    },
    "/di/v1/models/{model_id}/trained_model": {
      "get": {
        "description": "Downloads the trained model as ZIP archive.",
        "produces": [
          "application/octet-stream"
        ],
        "tags": [
          "Models"
        ],
        "summary": "Downloads the trained model.",
        "operationId": "downloadTrainedModel",
        "parameters": [
          {
            "type": "string",
            "format": "string",
            "description": "The id of the model.",
            "name": "model_id",
            "in": "path",
            "required": true
          },
          {
            "type": "string",
            "default": "2017-02-13",
            "description": "The release date of the version of the API you want to use. Specify dates in YYYY-MM-DD format.",
            "name": "version",
            "in": "query"
          }
        ],
        "responses": {
          "200": {
            "description": "Model definition",
            "schema": {
              "type": "string",
              "format": "binary"
            }
          },
          "401": {
            "description": "Unauthorized",
            "schema": {
              "$ref": "#/definitions/Error"
            }
          },
          "404": {
            "description": "The trained model cannot be found.",
            "schema": {
              "$ref": "#/definitions/Error"
            }
          },
          "410": {
            "description": "If the trained model storage time has expired and it has been deleted. It only gets deleted if it not stored on an external data store.",
            "schema": {
              "$ref": "#/definitions/Error"
            }
          }
        }
      }
    }
  },
  "definitions": {
    "BasicModel": {
      "type": "object",
      "properties": {
        "model_id": {
          "description": "A unique id of the deep learning model.",
          "type": "string"
        }
      }
    },
    "BasicNewModel": {
      "allOf": [
        {
          "$ref": "#/definitions/BasicModel"
        },
        {
          "properties": {
            "location": {
              "description": "Location of the model to retrieve it.",
              "type": "string"
            }
          }
        }
      ]
    },
    "CodeUploadResponse": {
      "type": "object",
      "properties": {
        "s3Path": {
          "description": "S3 Path",
          "type": "string",
          "format": "int64"
        }
      }
    },
    "DSSInfo": {
      "type": "object",
      "properties": {
        "flow_id": {
          "type": "number",
          "format": "int64"
        },
        "flow_name": {
          "type": "string"
        },
        "flow_version": {
          "type": "string"
        },
        "project_id": {
          "type": "number",
          "format": "int64"
        },
        "project_name": {
          "type": "string"
        }
      }
    },
    "DataSet": {
      "type": "object",
      "properties": {
        "testing_data_path": {
          "description": "the path of testing data set",
          "type": "string"
        },
        "testing_label_path": {
          "description": "the path of testing data label.",
          "type": "string"
        },
        "training_data_path": {
          "description": "the path of training data set.",
          "type": "string"
        },
        "training_label_path": {
          "description": "the path of training data label.",
          "type": "string"
        },
        "validation_data_path": {
          "description": "the path of validation data set.",
          "type": "string"
        },
        "validation_label_path": {
          "description": "the path of validation data label.",
          "type": "string"
        }
      }
    },
    "Datastore": {
      "type": "object",
      "properties": {
        "Fields": {
          "type": "object",
          "additionalProperties": {
            "type": "string"
          }
        },
        "connection": {
          "type": "object",
          "additionalProperties": {
            "type": "string"
          }
        },
        "data_store_id": {
          "description": "the id of the data store as defined in the manifest.",
          "type": "string"
        },
        "type": {
          "description": "the type of the data store as defined in the manifest.",
          "type": "string"
        }
      }
    },
    "DssUserInfo": {
      "type": "object",
      "properties": {
        "userName": {
          "description": "UserName",
          "type": "string"
        }
      }
    },
    "Endpoint": {
      "type": "object",
      "properties": {
        "id": {
          "description": "the id of the endpoint",
          "type": "string"
        },
        "url": {
          "description": "the url of the endpoint",
          "type": "string"
        }
      }
    },
    "EndpointList": {
      "type": "object",
      "properties": {
        "endpoints": {
          "type": "array",
          "items": {
            "$ref": "#/definitions/Endpoint"
          }
        }
      }
    },
    "Error": {
      "type": "object",
      "properties": {
        "code": {
          "type": "integer",
          "format": "int32"
        },
        "error": {
          "type": "string"
        },
        "msg": {
          "type": "string"
        }
      }
    },
    "ExperimentRunLogRequest": {
      "type": "object",
      "properties": {
        "fromline": {
          "description": "request log from line.",
          "type": "number",
          "format": "int64"
        },
        "size": {
          "description": "request log size.",
          "type": "number",
          "format": "int64"
        }
      }
    },
    "ExperimentRunLogResponse": {
      "type": "object",
      "properties": {
        "fromline": {
          "description": "log from line number",
          "type": "number",
          "format": "int64"
        },
        "id": {
          "description": "prophecis_experiment_run entity",
          "type": "number",
          "format": "int64"
        },
        "log": {
          "type": "array",
          "items": {
            "type": "string"
          }
        }
      }
    },
    "ExperimentRunStatusResponse": {
      "type": "object",
      "properties": {
        "runId": {
          "description": "experiment run id.",
          "type": "number",
          "format": "int64"
        },
        "status": {
          "description": "experiment run status.",
          "type": "string"
        }
      }
    },
    "Fields": {
      "description": "TFOS Archives \u0026 PyFile Fields",
      "type": "object",
      "properties": {
        "hdfs": {
          "description": "HDFS Path.",
          "type": "string"
        },
        "resource_id": {
          "description": "BML Resource ID.",
          "type": "string"
        },
        "version": {
          "description": "BML Resource Version.",
          "type": "string"
        }
      }
    },
    "Framework": {
      "type": "object",
      "properties": {
        "name": {
          "description": "the name of the deep learning framework (e.g. caffe, torch, tensorflow)",
          "type": "string"
        },
        "version": {
          "description": "the version of the specific framework to use.",
          "type": "string"
        }
      }
    },
    "GetDashboardsResponse": {
      "type": "object",
      "properties": {
        "cpus": {
          "description": "number of cpu.",
          "type": "string"
        },
        "runningInstances": {
          "description": "number of running instances.",
          "type": "string"
        },
        "totalInstances": {
          "description": "total number of instances.",
          "type": "string"
        }
      }
    },
    "LogResponse": {
      "type": "object",
      "properties": {
        "is_last_line": {
          "type": "string"
        },
        "logs": {
          "type": "array",
          "items": {
            "type": "string"
          }
        }
      }
    },
    "Model": {
      "allOf": [
        {
          "$ref": "#/definitions/BasicNewModel"
        },
        {
          "properties": {
            "JobAlert": {
              "description": "Job Alert String.",
              "type": "string"
            },
            "JobType": {
              "description": "Job Type.",
              "type": "string"
            },
            "TFosRequest": {
              "description": "TFosRequest",
              "$ref": "#/definitions/TFosRequest"
            },
            "api_type": {
              "description": "api type of xgboost or lightgbm",
              "type": "string"
            },
            "code_selector": {
              "description": "code_selector type file",
              "type": "string"
            },
            "completed_timestamp": {
              "description": "completed timestamp of the job",
              "type": "string"
            },
            "data_set": {
              "$ref": "#/definitions/DataSet"
            },
            "data_stores": {
              "type": "array",
              "items": {
                "$ref": "#/definitions/Datastore"
              }
            },
            "description": {
              "description": "Detailed description of deep learning model.",
              "type": "string"
            },
            "expName": {
              "description": "Experiment Name",
              "type": "string"
            },
            "expRunId": {
              "description": "Experiment Run Id",
              "type": "string"
            },
            "fileName": {
              "description": "Code File's Name",
              "type": "string"
            },
            "filePath": {
              "description": "Code File's Path",
              "type": "string"
            },
            "framework": {
              "$ref": "#/definitions/Framework"
            },
            "job_namespace": {
              "description": "job's namespace.",
              "type": "string"
            },
            "job_params": {
              "description": "algorithm of training job",
              "type": "string"
            },
            "name": {
              "description": "The name of the deep learning model.",
              "type": "string"
            },
            "proxy_user": {
              "description": "proxy user of job",
              "type": "string"
            },
            "ps_cpu": {
              "description": "Count of Param Server",
              "type": "string"
            },
            "ps_image": {
              "description": "Count of Param Server",
              "type": "string"
            },
            "ps_memory": {
              "description": "Count of Param Server",
              "type": "string"
            },
            "pss": {
              "description": "Count of Param Server",
              "type": "string"
            },
            "submission_timestamp": {
              "description": "submission timestamp of the job.",
              "type": "string"
            },
            "submit_id": {
              "description": "submit_id describe user submit",
              "type": "string"
            },
            "training": {
              "$ref": "#/definitions/Training"
            },
            "user_id": {
              "description": "user name.",
              "type": "string"
            }
          }
        }
      ]
    },
    "ModelList": {
      "type": "object",
      "properties": {
        "models": {
          "type": "array",
          "items": {
            "$ref": "#/definitions/Model"
          }
        },
        "pages": {
          "type": "integer"
        },
        "total": {
          "type": "integer"
        }
      }
    },
    "ProphecisExperiment": {
      "type": "object",
      "required": [
        "exp_name",
        "exp_desc"
      ],
      "properties": {
        "create_type": {
          "description": "Create Type.",
          "type": "string"
        },
        "create_user": {
          "description": "user entity",
          "type": "object",
          "$ref": "#/definitions/User"
        },
        "dss_bml_last_version": {
          "description": "DSS Flow BML Version",
          "type": "string"
        },
        "dss_dss_flow_name": {
          "description": "DSS DSS Flow Name",
          "type": "string"
        },
        "dss_dss_flow_project_version_id": {
          "description": "DSS DSS Flow Project Version Id",
          "type": "string"
        },
        "dss_dss_flow_version": {
          "description": "DSS DSS Flow Version",
          "type": "string"
        },
        "dss_dss_project_id": {
          "description": "DSS DSS Project Id",
          "type": "number",
          "format": "int64"
        },
        "dss_dss_project_name": {
          "description": "DSS DSS Project Name",
          "type": "string"
        },
        "dss_flow_id": {
          "description": "DSS Flow ID.",
          "type": "number",
          "format": "int64"
        },
        "dss_project_id": {
          "description": "DSS Project ID.",
          "type": "number",
          "format": "int64"
        },
        "dss_project_version_id": {
          "description": "DSS Project Version.",
          "type": "number",
          "format": "int64"
        },
        "dss_workspace_id": {
          "description": "DSS Workspace ID.",
          "type": "number",
          "format": "int64"
        },
        "enable_flag": {
          "description": "Flag of Delete.",
          "type": "string"
        },
        "exp_create_time": {
          "description": "Timestamp of experiment create.",
          "type": "string",
          "format": "date-time"
        },
        "exp_create_user_id": {
          "description": "User of experiment creator.",
          "type": "number",
          "format": "int64"
        },
        "exp_desc": {
          "description": "Experiment Description.",
          "type": "string"
        },
        "exp_modify_time": {
          "description": "Timestamp of experiment modify.",
          "type": "string",
          "format": "date-time"
        },
        "exp_modify_user_id": {
          "description": "User of last experiment modifier.",
          "type": "number",
          "format": "int64"
        },
        "exp_name": {
          "description": "Experiment Name.",
          "type": "string"
        },
        "group_name": {
          "description": "Experiment Name.",
          "type": "string"
        },
        "id": {
          "description": "Experiment id.",
          "type": "number",
          "format": "int64"
        },
        "mlflow_exp_id": {
          "description": "MLFlow Experiment ID.",
          "type": "string"
        },
        "modify_user": {
          "description": "user entity",
          "type": "object",
          "$ref": "#/definitions/User"
        },
        "tag_list": {
          "type": "array",
          "items": {
            "$ref": "#/definitions/ProphecisExperimentTag"
          }
        }
      }
    },
    "ProphecisExperimentGetResponse": {
      "type": "object",
      "required": [
        "prophecis_experiment",
        "flow_json"
      ],
      "properties": {
        "flow_json": {
          "type": "string"
        },
        "prophecis_experiment": {
          "$ref": "#/definitions/ProphecisExperiment"
        }
      }
    },
    "ProphecisExperimentIDResponse": {
      "type": "object",
      "required": [
        "id"
      ],
      "properties": {
        "exp_name": {
          "description": "ProphecisExperiment Name",
          "type": "string"
        },
        "id": {
          "description": "ProphecisExperiment ID",
          "type": "number",
          "format": "int64"
        }
      }
    },
    "ProphecisExperimentPutBasicInfo": {
      "type": "object",
      "properties": {
        "exp_desc": {
          "description": "Experiment Description.",
          "type": "string"
        },
        "exp_name": {
          "description": "Experiment Name.",
          "type": "string"
        },
        "group_name": {
          "description": "Experiment group.",
          "type": "string"
        },
        "tag_list": {
          "description": "Experiment Tags",
          "type": "array",
          "items": {
            "$ref": "#/definitions/ProphecisExperimentTagPutBasicInfo"
          }
        }
      }
    },
    "ProphecisExperimentPutRequest": {
      "type": "object",
      "required": [
        "experiment_id",
        "flow_json"
      ],
      "properties": {
        "experiment_id": {
          "description": "ProphecisExperiment ID",
          "type": "number",
          "format": "int64"
        },
        "flow_json": {
          "type": "string"
        }
      }
    },
    "ProphecisExperimentRequest": {
      "type": "object",
      "required": [
        "exp_name",
        "exp_desc"
      ],
      "properties": {
        "create_type": {
          "description": "experiment type, default \"MLFlow\", choose next value, \"WTSS\" \"DSS\" \"MLFlow\"",
          "type": "string",
          "default": "MLFlow"
        },
        "dss_info": {
          "type": "object",
          "$ref": "#/definitions/DSSInfo"
        },
        "exp_desc": {
          "description": "Experiment Description.",
          "type": "string"
        },
        "exp_id": {
          "description": "Experiment id.",
          "type": "number",
          "format": "int64"
        },
        "exp_name": {
          "description": "Experiment Name.",
          "type": "string"
        },
        "group_name": {
          "description": "Group Name.",
          "type": "string"
        },
        "tag_list": {
          "description": "Experiment Tags",
          "type": "array",
          "items": {
            "$ref": "#/definitions/ProphecisExperimentTagPutBasicInfo"
          }
        }
      }
    },
    "ProphecisExperimentRun": {
      "type": "object",
      "required": [
        "exp_id",
        "exp_exec_type"
      ],
      "properties": {
        "dss_exec_id": {
          "description": "linkis flow exec id.",
          "type": "string"
        },
        "dss_flow_id": {
          "description": "DSS Flow ID.",
          "type": "number",
          "format": "int64"
        },
        "dss_flow_last_version_id": {
          "description": "DSS Flow Version ID.",
          "type": "number",
          "format": "int64"
        },
        "enable_flag": {
          "description": "Flag of Delete.",
          "type": "string"
        },
        "exp_exec_status": {
          "description": "Experiment Exec Type, include RUNNING/SCHEDULED/FINISHED/FAILED/KILLED.",
          "type": "string"
        },
        "exp_exec_type": {
          "description": "Experiment Exec Type, include CLI/UI/DSS/Schedulis.",
          "type": "string"
        },
        "exp_id": {
          "description": "Experiment ID.",
          "type": "number",
          "format": "int64"
        },
        "exp_run_create_time": {
          "description": "Created Timestamp of Experiment Exec.",
          "type": "string",
          "format": "date-time"
        },
        "exp_run_create_user_id": {
          "description": "User of experiment exec.",
          "type": "number",
          "format": "int64"
        },
        "exp_run_end_time": {
          "description": "Timestamp of Experiment finished.",
          "type": "string",
          "format": "date-time"
        },
        "exp_run_modify_user_id": {
          "description": "User of modify experiment exec.",
          "type": "number",
          "format": "int64"
        },
        "experiment": {
          "description": "experiment entity.",
          "type": "object",
          "$ref": "#/definitions/ProphecisExperiment"
        },
        "id": {
          "description": "Experiment Exec ID.",
          "type": "number"
        },
        "user": {
          "description": "user entity",
          "type": "object",
          "$ref": "#/definitions/User"
        }
      }
    },
    "ProphecisExperimentRunRequest": {
      "type": "object",
      "required": [
        "exp_exec_type"
      ],
      "properties": {
        "exp_exec_type": {
          "description": "Experiment Run type, Include CLI/UI/DSS/Schedulis.",
          "type": "string"
        },
        "flow_json": {
          "description": "Experiment Run type, Include CLI/UI/DSS/Schedulis.",
          "type": "string"
        },
        "run_date": {
          "description": "Experiment Run run date.",
          "type": "string"
        }
      }
    },
    "ProphecisExperimentRunResponse": {
      "type": "object",
      "properties": {
        "exp_exec_id": {
          "description": "Experiment Run ID",
          "type": "number"
        }
      }
    },
    "ProphecisExperimentRuns": {
      "type": "object",
      "properties": {
        "experiment_runs": {
          "type": "array",
          "items": {
            "$ref": "#/definitions/ProphecisExperimentRun"
          }
        },
        "page_number": {
          "type": "number",
          "format": "int64"
        },
        "page_size": {
          "type": "number",
          "format": "int64"
        },
        "total": {
          "type": "number",
          "format": "int64"
        },
        "total_page": {
          "type": "number",
          "format": "int64"
        }
      }
    },
    "ProphecisExperimentRunsGetResponse": {
      "type": "object",
      "required": [
        "prophecis_experiment_run",
        "flow_json"
      ],
      "properties": {
        "flow_json": {
          "type": "string"
        },
        "prophecis_experiment_run": {
          "description": "prophecis_experiment_run entity",
          "$ref": "#/definitions/ProphecisExperimentRun"
        }
      }
    },
    "ProphecisExperimentTag": {
      "type": "object",
      "required": [
        "exp_tag"
      ],
      "properties": {
        "enable_flag": {
          "description": "Flag of Delete.",
          "type": "string"
        },
        "exp_id": {
          "description": "Experiment ID.",
          "type": "number",
          "format": "int64"
        },
        "exp_tag": {
          "description": "Experiment Tag Name.",
          "type": "string"
        },
        "exp_tag_create_time": {
          "description": "Timestamp recorded when this Experiment Tag  was created.",
          "type": "string",
          "format": "date-time"
        },
        "exp_tag_create_user_id": {
          "description": "Creator recorded when this Experiment Tag  was created.",
          "type": "integer"
        },
        "id": {
          "description": "Experiment Tag ID.",
          "type": "number",
          "format": "int64"
        }
      }
    },
    "ProphecisExperimentTagPostRequest": {
      "type": "object",
      "required": [
        "exp_tag"
      ],
      "properties": {
        "exp_id": {
          "description": "experiment id.",
          "type": "number",
          "format": "int64"
        },
        "exp_tag": {
          "description": "Experiment Tag Name.",
          "type": "string"
        }
      }
    },
    "ProphecisExperimentTagPutBasicInfo": {
      "type": "object",
      "properties": {
        "exp_id": {
          "description": "Experiment Id",
          "type": "number"
        },
        "exp_tag": {
          "description": "Experiment's Tag",
          "type": "string"
        }
      }
    },
    "ProphecisExperimentTags": {
      "type": "object",
      "properties": {
        "experiment_tags": {
          "type": "array",
          "items": {
            "$ref": "#/definitions/ProphecisExperimentTag"
          }
        },
        "page_number": {
          "type": "number",
          "format": "int64"
        },
        "page_size": {
          "type": "number",
          "format": "int64"
        }
      }
    },
    "ProphecisExperiments": {
      "type": "object",
      "properties": {
        "experiments": {
          "type": "array",
          "items": {
            "$ref": "#/definitions/ProphecisExperiment"
          }
        },
        "page_number": {
          "type": "number",
          "format": "int64"
        },
        "page_size": {
          "type": "number",
          "format": "int64"
        },
        "total": {
          "type": "number",
          "format": "int64"
        },
        "total_page": {
          "type": "number",
          "format": "int64"
        }
      }
    },
    "ProphecisExportExperimentDssResponse": {
      "type": "object",
      "properties": {
        "resourceId": {
          "description": "Resource Id",
          "type": "string"
        },
        "version": {
          "description": "Version",
          "type": "string"
        }
      }
    },
    "ProphecisImportExperimentDssResponse": {
      "type": "object",
      "properties": {
        "expId": {
          "description": "Experiment Id",
          "type": "number",
          "format": "int64"
        }
      }
    },
    "TFosRequest": {
      "type": "object",
      "properties": {
        "Archives": {
          "description": "Archives Fields.",
          "type": "array",
          "items": {
            "$ref": "#/definitions/Fields"
          }
        },
        "Command": {
          "description": "Experiment Description.",
          "type": "string"
        },
        "DriverMemory": {
          "description": "Queue Setting Driver Memory.",
          "type": "string"
        },
        "EntryPoint": {
          "description": "EntryPoint Fields.",
          "$ref": "#/definitions/Fields"
        },
        "ExecutorCores": {
          "description": "Queue Setting Executor Cores.",
          "type": "string"
        },
        "ExecutorMemory": {
          "description": "Queue Setting Executor Memory.",
          "type": "string"
        },
        "Executors": {
          "description": "Queue Setting Executor Number.",
          "type": "string"
        },
        "Queue": {
          "description": "Queue Setting.",
          "type": "string"
        },
        "TensorflowEnv": {
          "description": "Tensorflow Env Files.",
          "$ref": "#/definitions/Fields"
        },
        "py_file": {
          "description": "PyFiles Fields.",
          "type": "array",
          "items": {
            "$ref": "#/definitions/Fields"
          }
        }
      }
    },
    "Training": {
      "type": "object",
      "properties": {
        "command": {
          "description": "the command invoked for running the training. This is specific to the DL framework",
          "type": "string"
        },
        "cpus": {
          "description": "Number of CPUs required",
          "type": "number",
          "format": "double"
        },
        "gpus": {
          "description": "Number of CPUs required",
          "type": "number",
          "format": "double"
        },
        "input_data": {
          "description": "Input data to the training, such as training data, pre-trained model. The input is specified as references to the data_store ids that contain the data.",
          "type": "array",
          "items": {
            "description": "Reference to a data store id.",
            "type": "string"
          }
        },
        "learners": {
          "description": "Number of learners required.",
          "type": "integer",
          "format": "int32"
        },
        "memory": {
          "description": "Amount of memory required",
          "type": "number",
          "format": "double"
        },
        "memory_unit": {
          "description": "Memory unit (default: MiB)\n",
          "type": "string",
          "default": "MiB",
          "enum": [
            "MiB",
            "MB",
            "GiB",
            "GB"
          ]
        },
        "output_data": {
          "description": "Output data of the training, such as trained models. The output is specified as references to the data_store ids that contain the data.",
          "type": "array",
          "items": {
            "description": "Reference to a data store id.",
            "type": "string"
          }
        },
        "size": {
          "description": "the pre-configured deployment size to used for training. The is used instead of directly specifying CPU, GPU, memory and learners.",
          "type": "string"
        },
        "training_status": {
          "$ref": "#/definitions/TrainingStatus"
        }
      }
    },
    "TrainingStatus": {
      "type": "object",
      "properties": {
        "completed": {
          "description": "Training completion timestamp (Format: yyyy-MM-dd'T'HH:mm:ss.SSS'Z')\n",
          "type": "string"
        },
        "error_code": {
          "description": "A code identifying the cause of a status message.",
          "type": "string"
        },
        "status": {
          "description": "Status of the training.",
          "type": "string"
        },
        "status_description": {
          "description": "Description of the training status.",
          "type": "string"
        },
        "status_message": {
          "description": "A human readable message description of the training status.",
          "type": "string"
        },
        "submitted": {
          "description": "Training submission timestamp (Format: yyyy-MM-dd'T'HH:mm:ss.SSS'Z')\n",
          "type": "string"
        }
      }
    },
    "TrainingUpdate": {
      "type": "object",
      "properties": {
        "status": {
          "description": "The status action to be executed on the training job. (Currently only ` + "`" + `halt` + "`" + ` is supported.)",
          "type": "string"
        }
      }
    },
    "User": {
      "required": [
        "id"
      ],
      "properties": {
        "Name": {
          "description": "Flag of Delete.",
          "type": "string"
        },
        "Remarks": {
          "description": "Flag of Delete.",
          "type": "string"
        },
        "id": {
          "description": "Flag of Delete.",
          "type": "number",
          "format": "int64"
        }
      }
    },
    "v1LogLine": {
      "type": "object",
      "properties": {
        "line": {
          "type": "string"
        },
        "meta": {
          "$ref": "#/definitions/v1MetaInfo"
        }
      }
    },
    "v1LogLinesList": {
      "type": "object",
      "properties": {
        "models": {
          "type": "array",
          "items": {
            "$ref": "#/definitions/v1LogLine"
          }
        }
      }
    },
    "v1MetaInfo": {
      "type": "object",
      "properties": {
        "rindex": {
          "type": "number",
          "format": "int64",
          "title": "sequential index"
        },
        "time": {
          "description": "Time that the metric occured: representing the number of millisecond since midnight January 1, 1970.",
          "type": "number",
          "format": "int64"
        },
        "training_id": {
          "type": "string",
          "title": "Unique id identifying the training job"
        },
        "user_id": {
          "type": "string",
          "title": "Unique id identifying the user"
        }
      }
    }
  },
  "securityDefinitions": {
    "basicAuth": {
      "description": "Basic Autentication credentials for using the API.",
      "type": "basic"
    },
    "basicAuthToken": {
      "description": "Watson Developer Cloud Basic Autentication. See [here](https://www.ibm.com/smarterplanet/us/en/ibmwatson/developercloud/doc/getting_started/gs-tokens.shtml) for more information",
      "type": "apiKey",
      "name": "Authorization",
      "in": "header"
    },
    "watsonAuthToken": {
      "description": "Watson Developer Cloud Token Autentication. See [here](https://www.ibm.com/smarterplanet/us/en/ibmwatson/developercloud/doc/getting_started/gs-tokens.shtml) for more information",
      "type": "apiKey",
      "name": "X-Watson-Authorization-Token",
      "in": "header"
    },
    "watsonAuthTokenQuery": {
      "description": "Watson Developer Cloud Token Autentication. See [here](https://www.ibm.com/smarterplanet/us/en/ibmwatson/developercloud/doc/getting_started/gs-tokens.shtml) for more information",
      "type": "apiKey",
      "name": "watson-token",
      "in": "query"
    }
  },
  "security": [
    {
      "basicAuthToken": []
    },
    {
      "watsonAuthToken": []
    },
    {
      "watsonAuthTokenQuery": []
    }
  ]
}`))
	FlatSwaggerJSON = json.RawMessage([]byte(`{
  "consumes": [
    "application/json"
  ],
  "produces": [
    "application/json"
  ],
  "schemes": [
    "https"
  ],
  "swagger": "2.0",
  "info": {
    "description": "Prophecis Rest Service\n",
    "title": "Prophecis Rest Service",
    "version": "1.0.0"
  },
  "host": "di.prophecis.com",
  "basePath": "/",
  "paths": {
    "/di/v1/codeUpload": {
      "post": {
        "description": "upload code.zip to s3",
        "consumes": [
          "multipart/form-data"
        ],
        "produces": [
          "application/json"
        ],
        "tags": [
          "Experiments"
        ],
        "summary": "upload code to s3",
        "operationId": "codeUpload",
        "parameters": [
          {
            "type": "file",
            "name": "file",
            "in": "formData",
            "required": true
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "schema": {
              "$ref": "#/definitions/CodeUploadResponse"
            }
          },
          "401": {
            "description": "Unauthorized",
            "schema": {
              "$ref": "#/definitions/Error"
            }
          },
          "404": {
            "description": "Code ZIP upload failed",
            "schema": {
              "$ref": "#/definitions/Error"
            }
          }
        }
      }
    },
    "/di/v1/dashboards": {
      "get": {
        "description": "Get dashboard.",
        "summary": "Get the dashboard belongs to a User",
        "operationId": "getDashboards",
        "parameters": [
          {
            "type": "string",
            "default": "",
            "description": "entity clusterName",
            "name": "clusterName",
            "in": "query"
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "schema": {
              "$ref": "#/definitions/GetDashboardsResponse"
            }
          },
          "403": {
            "description": "Forbidden",
            "schema": {
              "$ref": "#/definitions/Error"
            }
          },
          "404": {
            "description": "The dashboard cannot be found",
            "schema": {
              "$ref": "#/definitions/Error"
            }
          }
        }
      }
    },
    "/di/v1/dssUserInfo": {
      "get": {
        "description": "Get DSS UserInfo",
        "tags": [
          "DssUserInfo"
        ],
        "summary": "Get DSS UserInfo",
        "operationId": "getDssUserInfo",
        "parameters": [
          {
            "type": "string",
            "name": "id",
            "in": "query",
            "required": true
          },
          {
            "type": "string",
            "name": "workspaceId",
            "in": "query",
            "required": true
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "schema": {
              "$ref": "#/definitions/DssUserInfo"
            }
          },
          "401": {
            "description": "Unauthorized",
            "schema": {
              "$ref": "#/definitions/Error"
            }
          },
          "404": {
            "description": "Get UserInfo Not Found",
            "schema": {
              "$ref": "#/definitions/Error"
            }
          }
        }
      }
    },
    "/di/v1/experiment": {
      "put": {
        "description": "Update Experiment Flow Json.",
        "tags": [
          "Experiments"
        ],
        "summary": "Update Experiment",
        "operationId": "updateExperiment",
        "parameters": [
          {
            "description": "The Experiment Put Request.",
            "name": "experiment",
            "in": "body",
            "required": true,
            "schema": {
              "$ref": "#/definitions/ProphecisExperimentPutRequest"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "OK"
          },
          "401": {
            "description": "Unauthorized",
            "schema": {
              "$ref": "#/definitions/Error"
            }
          },
          "404": {
            "description": "Model create failed",
            "schema": {
              "$ref": "#/definitions/Error"
            }
          }
        }
      },
      "post": {
        "description": "Create Experiment.",
        "tags": [
          "Experiments"
        ],
        "summary": "createExperiment",
        "operationId": "createExperiment",
        "parameters": [
          {
            "description": "The Experiment Request",
            "name": "experiment",
            "in": "body",
            "required": true,
            "schema": {
              "$ref": "#/definitions/ProphecisExperimentRequest"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "schema": {
              "$ref": "#/definitions/ProphecisExperimentIDResponse"
            }
          },
          "401": {
            "description": "Unauthorized",
            "schema": {
              "$ref": "#/definitions/Error"
            }
          },
          "404": {
            "description": "The Models cannot be found",
            "schema": {
              "$ref": "#/definitions/Error"
            }
          }
        }
      }
    },
    "/di/v1/experiment/import": {
      "post": {
        "description": "import experiment.",
        "consumes": [
          "multipart/form-data"
        ],
        "produces": [
          "application/json"
        ],
        "tags": [
          "Experiments"
        ],
        "summary": "import Zip To Create Experimetn.",
        "operationId": "importExperiment",
        "parameters": [
          {
            "type": "file",
            "name": "file",
            "in": "formData",
            "required": true
          },
          {
            "type": "string",
            "name": "fileName",
            "in": "formData"
          },
          {
            "type": "number",
            "format": "int64",
            "default": 0,
            "description": "if experimentId is 0 or not provided, create experiment in db; if exists, get experiment by experimentId, update it.",
            "name": "experimentId",
            "in": "formData"
          },
          {
            "type": "string",
            "default": "MLFlow",
            "description": "experiment type, default \"MLFlow\", choose next value, \"WTSS\" \"DSS\" \"MLFlow\"",
            "name": "createType",
            "in": "formData"
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "schema": {
              "$ref": "#/definitions/ProphecisExperimentIDResponse"
            }
          },
          "401": {
            "description": "Unauthorized",
            "schema": {
              "$ref": "#/definitions/Error"
            }
          },
          "404": {
            "description": "The Models cannot be found",
            "schema": {
              "$ref": "#/definitions/Error"
            }
          }
        }
      }
    },
    "/di/v1/experiment/importdss": {
      "post": {
        "description": "import Experiment(DSS)",
        "consumes": [
          "application/json"
        ],
        "produces": [
          "application/json"
        ],
        "tags": [
          "Experiments"
        ],
        "summary": "Import Experiment(DSS)",
        "operationId": "importExperimentDss",
        "parameters": [
          {
            "type": "string",
            "name": "resourceId",
            "in": "formData",
            "required": true
          },
          {
            "type": "string",
            "name": "version",
            "in": "formData"
          },
          {
            "type": "string",
            "name": "desc",
            "in": "formData"
          },
          {
            "type": "number",
            "format": "int64",
            "default": 0,
            "description": "if experimentId is 0 or not provided, create experiment in db; if exists, get experiment by experimentId, update it.",
            "name": "experimentId",
            "in": "formData"
          }
        ],
        "responses": {
          "200": {
            "description": "Import Experiment(Dss) Response definition",
            "schema": {
              "$ref": "#/definitions/ProphecisImportExperimentDssResponse"
            }
          },
          "401": {
            "description": "Unauthorized",
            "schema": {
              "$ref": "#/definitions/Error"
            }
          },
          "404": {
            "description": "The Experiment cannot be found",
            "schema": {
              "$ref": "#/definitions/Error"
            }
          }
        }
      }
    },
    "/di/v1/experiment/{id}": {
      "get": {
        "description": "Get Experiment By Experiment Id.",
        "tags": [
          "Experiments"
        ],
        "summary": "Get Experiment",
        "operationId": "getExperiment",
        "parameters": [
          {
            "type": "number",
            "format": "int64",
            "description": "experiment id",
            "name": "id",
            "in": "path",
            "required": true
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "schema": {
              "$ref": "#/definitions/ProphecisExperimentGetResponse"
            }
          },
          "401": {
            "description": "Unauthorized",
            "schema": {
              "$ref": "#/definitions/Error"
            }
          },
          "404": {
            "description": "Model create failed",
            "schema": {
              "$ref": "#/definitions/Error"
            }
          }
        }
      },
      "put": {
        "description": "Put Experiment Basic Info By Experiment Id.",
        "tags": [
          "Experiments"
        ],
        "summary": "Put Experiment Basic Info",
        "operationId": "updateExperimentInfo",
        "parameters": [
          {
            "type": "number",
            "format": "int64",
            "description": "experiment id",
            "name": "id",
            "in": "path",
            "required": true
          },
          {
            "name": "experiment",
            "in": "body",
            "schema": {
              "$ref": "#/definitions/ProphecisExperimentPutBasicInfo"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "OK"
          },
          "401": {
            "description": "Unauthorized",
            "schema": {
              "$ref": "#/definitions/Error"
            }
          },
          "404": {
            "description": "Model create failed",
            "schema": {
              "$ref": "#/definitions/Error"
            }
          }
        }
      },
      "delete": {
        "description": "Delete Experiment.",
        "tags": [
          "Experiments"
        ],
        "summary": "Delete Experiment",
        "operationId": "deleteExperiment",
        "parameters": [
          {
            "type": "number",
            "format": "int64",
            "description": "experiment id",
            "name": "id",
            "in": "path",
            "required": true
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "schema": {
              "$ref": "#/definitions/BasicModel"
            }
          },
          "401": {
            "description": "Unauthorized",
            "schema": {
              "$ref": "#/definitions/Error"
            }
          },
          "404": {
            "description": "Model create failed",
            "schema": {
              "$ref": "#/definitions/Error"
            }
          }
        }
      }
    },
    "/di/v1/experiment/{id}/copy": {
      "get": {
        "description": "Copy Experiment.",
        "tags": [
          "Experiments"
        ],
        "summary": "copyExperiment",
        "operationId": "copyExperiment",
        "parameters": [
          {
            "type": "number",
            "format": "int64",
            "description": "experiment id",
            "name": "id",
            "in": "path",
            "required": true
          },
          {
            "type": "string",
            "description": "create type, include MLFLOW, DSS, WTSS",
            "name": "create_type",
            "in": "query"
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "schema": {
              "$ref": "#/definitions/ProphecisExperimentRequest"
            }
          },
          "401": {
            "description": "Unauthorized",
            "schema": {
              "$ref": "#/definitions/Error"
            }
          },
          "404": {
            "description": "The Models cannot be found",
            "schema": {
              "$ref": "#/definitions/Error"
            }
          }
        }
      }
    },
    "/di/v1/experiment/{id}/export": {
      "get": {
        "description": "export Experiment.",
        "tags": [
          "Experiments"
        ],
        "summary": "Export Experiment",
        "operationId": "exportExperiment",
        "parameters": [
          {
            "type": "number",
            "format": "int64",
            "name": "id",
            "in": "path",
            "required": true
          }
        ],
        "responses": {
          "200": {
            "description": "Model definition",
            "schema": {
              "type": "string",
              "format": "binary"
            }
          },
          "401": {
            "description": "Unauthorized",
            "schema": {
              "$ref": "#/definitions/Error"
            }
          },
          "404": {
            "description": "The Experiment cannot be found",
            "schema": {
              "$ref": "#/definitions/Error"
            }
          }
        }
      }
    },
    "/di/v1/experiment/{id}/exportdss": {
      "get": {
        "description": "export Experiment(DSS)",
        "tags": [
          "Experiments"
        ],
        "summary": "Export Expriments(DSS)",
        "operationId": "exportExperimentDss",
        "parameters": [
          {
            "type": "number",
            "format": "int64",
            "name": "id",
            "in": "path",
            "required": true
          }
        ],
        "responses": {
          "200": {
            "description": "Export Experiment(Dss) Response definition",
            "schema": {
              "$ref": "#/definitions/ProphecisExportExperimentDssResponse"
            }
          },
          "401": {
            "description": "Unauthorized",
            "schema": {
              "$ref": "#/definitions/Error"
            }
          },
          "404": {
            "description": "The Experiment cannot be found",
            "schema": {
              "$ref": "#/definitions/Error"
            }
          }
        }
      }
    },
    "/di/v1/experimentJob/{linkis_exec_id}/status": {
      "get": {
        "description": "Get Flow Execution Msg From /api/entrance/${exec_id}/status",
        "tags": [
          "LinkisJob"
        ],
        "summary": "Get Linkis Execution Job Status.",
        "operationId": "getLinkisJobStatus",
        "parameters": [
          {
            "type": "string",
            "name": "linkis_exec_id",
            "in": "path",
            "required": true
          }
        ],
        "responses": {
          "200": {
            "description": "OK"
          },
          "401": {
            "description": "Unauthorized",
            "schema": {
              "$ref": "#/definitions/Error"
            }
          },
          "404": {
            "description": "Model create failed",
            "schema": {
              "$ref": "#/definitions/Error"
            }
          }
        }
      }
    },
    "/di/v1/experimentJob/{linkis_task_id}/log": {
      "get": {
        "description": "Get Flow Execution Msg From /api/entrance/${exec_id}/log",
        "tags": [
          "LinkisJob"
        ],
        "summary": "Get Linkis Execution Log.",
        "operationId": "getLinkisJobLog",
        "parameters": [
          {
            "type": "number",
            "format": "int64",
            "name": "linkis_task_id",
            "in": "path",
            "required": true
          }
        ],
        "responses": {
          "200": {
            "description": "OK"
          },
          "401": {
            "description": "Unauthorized",
            "schema": {
              "$ref": "#/definitions/Error"
            }
          },
          "404": {
            "description": "Model create failed",
            "schema": {
              "$ref": "#/definitions/Error"
            }
          }
        }
      }
    },
    "/di/v1/experimentRun/{exec_id}/execution": {
      "get": {
        "description": "Get Flow Execution Msg From /api/entrance/${exec_id}/execution",
        "tags": [
          "ExperimentRuns"
        ],
        "summary": "Linkis Execution Method.",
        "operationId": "getExperimentRunExecution",
        "parameters": [
          {
            "type": "number",
            "format": "int64",
            "name": "exec_id",
            "in": "path",
            "required": true
          }
        ],
        "responses": {
          "200": {
            "description": "OK"
          },
          "401": {
            "description": "Unauthorized",
            "schema": {
              "$ref": "#/definitions/Error"
            }
          },
          "404": {
            "description": "Model create failed",
            "schema": {
              "$ref": "#/definitions/Error"
            }
          }
        }
      }
    },
    "/di/v1/experimentRun/{exp_id}": {
      "post": {
        "description": "Run an Experiment Flow By Experiment Id.",
        "tags": [
          "ExperimentRuns"
        ],
        "summary": "Run an Experiment Flow By Experiment Id.",
        "operationId": "createExperimentRun",
        "parameters": [
          {
            "type": "number",
            "format": "int64",
            "name": "exp_id",
            "in": "path",
            "required": true
          },
          {
            "name": "experimentRunRequest",
            "in": "body",
            "schema": {
              "$ref": "#/definitions/ProphecisExperimentRunRequest"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "schema": {
              "$ref": "#/definitions/ProphecisExperimentRun"
            }
          },
          "401": {
            "description": "Unauthorized",
            "schema": {
              "$ref": "#/definitions/Error"
            }
          },
          "404": {
            "description": "The Models cannot be found",
            "schema": {
              "$ref": "#/definitions/Error"
            }
          }
        }
      }
    },
    "/di/v1/experimentRun/{id}": {
      "get": {
        "description": "Get an Experiment Flow Exec Record By Experiment Id \u0026 Flow_Exec_ID.",
        "tags": [
          "ExperimentRuns"
        ],
        "summary": "Get an Experiment Flow Exec Record By Experiment Id \u0026 Flow_Exec_ID.",
        "operationId": "getExperimentRun",
        "parameters": [
          {
            "type": "number",
            "format": "int64",
            "name": "id",
            "in": "path",
            "required": true
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "schema": {
              "$ref": "#/definitions/ProphecisExperimentRunsGetResponse"
            }
          },
          "401": {
            "description": "Unauthorized",
            "schema": {
              "$ref": "#/definitions/Error"
            }
          },
          "404": {
            "description": "The Models cannot be found",
            "schema": {
              "$ref": "#/definitions/Error"
            }
          }
        }
      },
      "delete": {
        "description": "Stop And Delete Experiment Exec Record By Experiment Id.",
        "tags": [
          "ExperimentRuns"
        ],
        "summary": "Stop And Delete Experiment Exec Record By Experiment Id.",
        "operationId": "deleteExperimentRun",
        "parameters": [
          {
            "type": "number",
            "format": "int64",
            "name": "id",
            "in": "path",
            "required": true
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "schema": {
              "$ref": "#/definitions/BasicModel"
            }
          },
          "401": {
            "description": "Unauthorized",
            "schema": {
              "$ref": "#/definitions/Error"
            }
          },
          "404": {
            "description": "The Models cannot be found",
            "schema": {
              "$ref": "#/definitions/Error"
            }
          }
        }
      }
    },
    "/di/v1/experimentRun/{id}/kill": {
      "get": {
        "description": "Kill Experiment Run By Exec Id.",
        "tags": [
          "ExperimentRuns"
        ],
        "summary": "Kill Experiment Run By Exec Id.",
        "operationId": "killExperimentRun",
        "parameters": [
          {
            "type": "number",
            "format": "int64",
            "description": "The Experiment Run Id",
            "name": "id",
            "in": "path",
            "required": true
          }
        ],
        "responses": {
          "200": {
            "description": "OK"
          },
          "401": {
            "description": "Unauthorized",
            "schema": {
              "$ref": "#/definitions/Error"
            }
          },
          "404": {
            "description": "Model create failed",
            "schema": {
              "$ref": "#/definitions/Error"
            }
          }
        }
      }
    },
    "/di/v1/experimentRun/{id}/log": {
      "get": {
        "description": "Get Experiment Exec Log By Exec Id.",
        "tags": [
          "ExperimentRuns"
        ],
        "summary": "Get Experiment Exec Log By Exec Id.",
        "operationId": "getExperimentRunLog",
        "parameters": [
          {
            "type": "number",
            "format": "int64",
            "name": "id",
            "in": "path",
            "required": true
          },
          {
            "type": "number",
            "format": "int64",
            "description": "log from line number",
            "name": "from_line",
            "in": "query"
          },
          {
            "type": "number",
            "format": "int64",
            "description": "get log size",
            "name": "size",
            "in": "query"
          }
        ],
        "responses": {
          "200": {
            "description": "OK"
          },
          "401": {
            "description": "Unauthorized",
            "schema": {
              "$ref": "#/definitions/Error"
            }
          },
          "404": {
            "description": "Model create failed",
            "schema": {
              "$ref": "#/definitions/Error"
            }
          }
        }
      }
    },
    "/di/v1/experimentRun/{id}/status": {
      "get": {
        "description": "Get ExperimentRun Status By Id.",
        "tags": [
          "ExperimentRuns"
        ],
        "summary": "Get ExperimentRun Status By Id.",
        "operationId": "getExperimentRunStatus",
        "parameters": [
          {
            "type": "number",
            "format": "int64",
            "description": "The Experiment Run Id",
            "name": "id",
            "in": "path",
            "required": true
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "schema": {
              "$ref": "#/definitions/ExperimentRunStatusResponse"
            }
          },
          "401": {
            "description": "Unauthorized",
            "schema": {
              "$ref": "#/definitions/Error"
            }
          },
          "404": {
            "description": "Model create failed",
            "schema": {
              "$ref": "#/definitions/Error"
            }
          }
        }
      }
    },
    "/di/v1/experimentRuns": {
      "get": {
        "description": "List ExperimentRuns.",
        "tags": [
          "ExperimentRuns"
        ],
        "summary": "List ExperimentRuns.",
        "operationId": "listExperimentRuns",
        "parameters": [
          {
            "type": "string",
            "name": "query_str",
            "in": "query"
          },
          {
            "type": "string",
            "name": "username",
            "in": "query"
          },
          {
            "type": "number",
            "format": "int64",
            "name": "page",
            "in": "query"
          },
          {
            "type": "number",
            "format": "int64",
            "name": "size",
            "in": "query"
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "schema": {
              "$ref": "#/definitions/ProphecisExperimentRuns"
            }
          },
          "401": {
            "description": "Unauthorized",
            "schema": {
              "$ref": "#/definitions/Error"
            }
          },
          "404": {
            "description": "The Models cannot be found",
            "schema": {
              "$ref": "#/definitions/Error"
            }
          }
        }
      }
    },
    "/di/v1/experimentRunsHistory/{exp_id}": {
      "get": {
        "description": "Get Experiment's ExperimentRun History",
        "tags": [
          "ExperimentRuns"
        ],
        "summary": "ExperimentRun History",
        "operationId": "getExperimentRunsHistory",
        "parameters": [
          {
            "type": "number",
            "format": "int64",
            "name": "exp_id",
            "in": "path",
            "required": true
          },
          {
            "type": "string",
            "name": "query_str",
            "in": "query"
          },
          {
            "type": "string",
            "name": "username",
            "in": "query"
          },
          {
            "type": "number",
            "format": "int64",
            "name": "page",
            "in": "query"
          },
          {
            "type": "number",
            "format": "int64",
            "name": "size",
            "in": "query"
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "schema": {
              "$ref": "#/definitions/ProphecisExperiments"
            }
          },
          "401": {
            "description": "Unauthorized",
            "schema": {
              "$ref": "#/definitions/Error"
            }
          },
          "404": {
            "description": "Get ExperimentRun's History Failed",
            "schema": {
              "$ref": "#/definitions/Error"
            }
          }
        }
      }
    },
    "/di/v1/experimentTag": {
      "post": {
        "description": "Create Experiment Tag.",
        "tags": [
          "Experiments"
        ],
        "summary": "createExperimentTag",
        "operationId": "createExperimentTag",
        "parameters": [
          {
            "description": "The Experiment Tag Request",
            "name": "experimentTag",
            "in": "body",
            "required": true,
            "schema": {
              "$ref": "#/definitions/ProphecisExperimentTagPostRequest"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "schema": {
              "$ref": "#/definitions/ProphecisExperimentTag"
            }
          },
          "401": {
            "description": "Unauthorized",
            "schema": {
              "$ref": "#/definitions/Error"
            }
          },
          "404": {
            "description": "The Models cannot be found",
            "schema": {
              "$ref": "#/definitions/Error"
            }
          }
        }
      }
    },
    "/di/v1/experimentTag/{id}": {
      "delete": {
        "description": "Delete Experiment Ta.",
        "tags": [
          "Experiments"
        ],
        "summary": "deleteExperimentTag",
        "operationId": "deleteExperimentTag",
        "parameters": [
          {
            "type": "number",
            "format": "int64",
            "description": "The Experiment Request",
            "name": "id",
            "in": "path",
            "required": true
          }
        ],
        "responses": {
          "200": {
            "description": "OK"
          },
          "401": {
            "description": "Unauthorized",
            "schema": {
              "$ref": "#/definitions/Error"
            }
          },
          "404": {
            "description": "The Models cannot be found",
            "schema": {
              "$ref": "#/definitions/Error"
            }
          }
        }
      }
    },
    "/di/v1/experiments": {
      "get": {
        "description": "List Experiments by User.",
        "tags": [
          "Experiments"
        ],
        "summary": "List Experiments by User.",
        "operationId": "listExperiments",
        "parameters": [
          {
            "type": "string",
            "name": "query_str",
            "in": "query"
          },
          {
            "type": "string",
            "name": "username",
            "in": "query"
          },
          {
            "type": "number",
            "format": "int64",
            "name": "page",
            "in": "query"
          },
          {
            "type": "number",
            "format": "int64",
            "name": "size",
            "in": "query"
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "schema": {
              "$ref": "#/definitions/ProphecisExperiments"
            }
          },
          "401": {
            "description": "Unauthorized",
            "schema": {
              "$ref": "#/definitions/Error"
            }
          },
          "404": {
            "description": "Model create failed",
            "schema": {
              "$ref": "#/definitions/Error"
            }
          }
        }
      }
    },
    "/di/v1/job/{training_id}/log": {
      "get": {
        "description": "Get Job Log By Exec Id And Line.",
        "tags": [
          "Models"
        ],
        "summary": "Get Job Log By Exec Id And Line.",
        "operationId": "getJobLogByLine",
        "parameters": [
          {
            "type": "string",
            "name": "training_id",
            "in": "path",
            "required": true
          },
          {
            "type": "number",
            "format": "int64",
            "description": "log start line",
            "name": "size",
            "in": "query",
            "required": true
          },
          {
            "type": "number",
            "format": "int64",
            "description": "log end line",
            "name": "from",
            "in": "query",
            "required": true
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "schema": {
              "$ref": "#/definitions/LogResponse"
            }
          },
          "401": {
            "description": "Unauthorized",
            "schema": {
              "$ref": "#/definitions/Error"
            }
          },
          "404": {
            "description": "Model create failed",
            "schema": {
              "$ref": "#/definitions/Error"
            }
          }
        }
      }
    },
    "/di/v1/logs/{model_id}/loglines": {
      "get": {
        "tags": [
          "TrainingData"
        ],
        "summary": "Get loglines, based on query",
        "operationId": "getLoglines",
        "parameters": [
          {
            "type": "string",
            "format": "string",
            "description": "The id of the model.",
            "name": "model_id",
            "in": "path",
            "required": true
          },
          {
            "enum": [
              "TERM",
              "NESTED",
              "MATCH"
            ],
            "type": "string",
            "default": "TERM",
            "name": "searchType",
            "in": "query"
          },
          {
            "type": "string",
            "format": "string",
            "default": "",
            "description": "Time from which to show logs. If this value precedes the time a pod was started, only logs since the pod start will be returned. If this value is in the future, no logs will be returned. If this value is a raw integer, it represents the time that the metric occured: representing the number of milliseconds since midnight January 1, 1970. If this value is a negative integer, it represents the number of lines to count backwards. If this value is empty, the logs since the beginning of the job will be returned",
            "name": "since_time",
            "in": "query"
          },
          {
            "type": "integer",
            "format": "int32",
            "description": "Number of lines to output.",
            "name": "pagesize",
            "in": "query"
          },
          {
            "type": "integer",
            "format": "int64",
            "description": "If positive, line number from start, if negative line counting from end",
            "name": "pos",
            "in": "query"
          },
          {
            "type": "string",
            "default": "2017-10-01",
            "description": "The release date of the version of the API you want to use. Specify dates in YYYY-MM-DD format.",
            "name": "version",
            "in": "query"
          }
        ],
        "responses": {
          "200": {
            "description": "(streaming responses)",
            "schema": {
              "$ref": "#/definitions/v1LogLinesList"
            }
          },
          "401": {
            "description": "Unauthorized",
            "schema": {
              "$ref": "#/definitions/Error"
            }
          }
        }
      }
    },
    "/di/v1/models": {
      "get": {
        "description": "Get a list of all available deep learning models and their configuration that a user can see.\n",
        "tags": [
          "Models"
        ],
        "summary": "Get a list of available deep learning models.",
        "operationId": "listModels",
        "parameters": [
          {
            "type": "string",
            "default": "2017-02-13",
            "description": "The release date of the version of the API you want to use. Specify dates in YYYY-MM-DD format.",
            "name": "version",
            "in": "query"
          },
          {
            "type": "string",
            "default": "",
            "description": "owner's userid.",
            "name": "userid",
            "in": "query"
          },
          {
            "type": "string",
            "default": "",
            "description": "job's namespace.",
            "name": "namespace",
            "in": "query"
          },
          {
            "type": "string",
            "default": "1",
            "description": "page number.",
            "name": "page",
            "in": "query"
          },
          {
            "type": "string",
            "default": "10",
            "description": "entity number per page.",
            "name": "size",
            "in": "query"
          },
          {
            "type": "string",
            "default": "",
            "description": "entity clusterName",
            "name": "clusterName",
            "in": "query"
          },
          {
            "type": "string",
            "default": "",
            "description": "experiment's id.",
            "name": "exp_id",
            "in": "query"
          },
          {
            "type": "string",
            "default": "",
            "description": "experiment run's id.",
            "name": "exp_run_id",
            "in": "query"
          }
        ],
        "responses": {
          "200": {
            "description": "List of deep learning models.",
            "schema": {
              "$ref": "#/definitions/ModelList"
            }
          },
          "401": {
            "description": "Unauthorized",
            "schema": {
              "$ref": "#/definitions/Error"
            }
          }
        }
      },
      "post": {
        "description": "Trains a deep neural network written in a DL framework supported by the DLaaS platform (such as Caffe, Tensorflow, etc.). The model code has to be uploaded and configuration parameters have to be provided.\n",
        "consumes": [
          "multipart/form-data"
        ],
        "produces": [
          "application/json"
        ],
        "tags": [
          "Models"
        ],
        "summary": "Trains a new deep learning model.",
        "operationId": "postModel",
        "parameters": [
          {
            "type": "file",
            "description": "The deep learning model code as compressed archive (ZIP).",
            "name": "model_definition",
            "in": "formData"
          },
          {
            "type": "file",
            "description": "The manifest providing configuration for the deep learning model, the training data and the training execution.",
            "name": "manifest",
            "in": "formData",
            "required": true
          },
          {
            "type": "string",
            "default": "2017-02-13",
            "description": "The release date of the version of the API you want to use. Specify dates in YYYY-MM-DD format.",
            "name": "version",
            "in": "query"
          }
        ],
        "responses": {
          "201": {
            "description": "Deep learning model successfully accepted.",
            "schema": {
              "$ref": "#/definitions/BasicNewModel"
            },
            "headers": {
              "Location": {
                "type": "string",
                "description": "Location header containing the model id."
              }
            }
          },
          "400": {
            "description": "Error in the the model_definition or manifest.",
            "schema": {
              "$ref": "#/definitions/Error"
            }
          },
          "401": {
            "description": "Unauthorized",
            "schema": {
              "$ref": "#/definitions/Error"
            }
          }
        }
      }
    },
    "/di/v1/models/{model_id}": {
      "get": {
        "description": "Get detailed information about a model such as training status.\n",
        "tags": [
          "Models"
        ],
        "summary": "Get detailed information about a model.",
        "operationId": "getModel",
        "parameters": [
          {
            "type": "string",
            "description": "The id of the model.",
            "name": "model_id",
            "in": "path",
            "required": true
          },
          {
            "type": "string",
            "default": "2017-02-13",
            "description": "The release date of the version of the API you want to use. Specify dates in YYYY-MM-DD format.",
            "name": "version",
            "in": "query"
          }
        ],
        "responses": {
          "200": {
            "description": "Detailed model and training information.",
            "schema": {
              "$ref": "#/definitions/Model"
            }
          },
          "401": {
            "description": "Unauthorized",
            "schema": {
              "$ref": "#/definitions/Error"
            }
          },
          "404": {
            "description": "Model with the given ID not found.",
            "schema": {
              "$ref": "#/definitions/Error"
            }
          }
        }
      },
      "delete": {
        "description": "Deletes an existing model. It does not delete any data in the user's data store.\n",
        "tags": [
          "Models"
        ],
        "summary": "Deletes an existing model",
        "operationId": "deleteModel",
        "parameters": [
          {
            "type": "string",
            "format": "string",
            "description": "The id of the model.",
            "name": "model_id",
            "in": "path",
            "required": true
          },
          {
            "type": "string",
            "default": "2017-02-13",
            "description": "The release date of the version of the API you want to use. Specify dates in YYYY-MM-DD format.",
            "name": "version",
            "in": "query"
          }
        ],
        "responses": {
          "200": {
            "description": "Model deleted successfully.",
            "schema": {
              "$ref": "#/definitions/BasicModel"
            }
          },
          "401": {
            "description": "Unauthorized",
            "schema": {
              "$ref": "#/definitions/Error"
            }
          },
          "404": {
            "description": "The model cannot be found.",
            "schema": {
              "$ref": "#/definitions/Error"
            }
          }
        }
      },
      "patch": {
        "description": "Changes the status of the training progress to the given ` + "`" + `status` + "`" + ` value (currently ` + "`" + `halt` + "`" + ` only). Halt means the training will be stopped and the last snapshot will be stored and can be retrieved.",
        "tags": [
          "Models"
        ],
        "summary": "Changes the status of the training progress.",
        "operationId": "patchModel",
        "parameters": [
          {
            "type": "string",
            "description": "The id of the model.",
            "name": "model_id",
            "in": "path",
            "required": true
          },
          {
            "description": "Currently accepts \"halt\" as the only valid value.",
            "name": "payload",
            "in": "body",
            "required": true,
            "schema": {
              "$ref": "#/definitions/TrainingUpdate"
            }
          },
          {
            "type": "string",
            "default": "2017-02-13",
            "description": "The release date of the version of the API you want to use. Specify dates in YYYY-MM-DD format.",
            "name": "version",
            "in": "query",
            "required": true
          }
        ],
        "responses": {
          "202": {
            "description": "Training successfully halted.",
            "schema": {
              "$ref": "#/definitions/BasicModel"
            }
          },
          "400": {
            "description": "Incorrect status specified.",
            "schema": {
              "$ref": "#/definitions/Error"
            }
          },
          "401": {
            "description": "Unauthorized",
            "schema": {
              "$ref": "#/definitions/Error"
            }
          },
          "404": {
            "description": "Model with the given ID not found.",
            "schema": {
              "$ref": "#/definitions/Error"
            }
          }
        }
      }
    },
    "/di/v1/models/{model_id}/definition": {
      "get": {
        "description": "Downloads the model definition that was initial used for training as ZIP archive.",
        "produces": [
          "application/octet-stream"
        ],
        "tags": [
          "Models"
        ],
        "summary": "Downloads the model definition.",
        "operationId": "downloadModelDefinition",
        "parameters": [
          {
            "type": "string",
            "format": "string",
            "description": "The id of the model.",
            "name": "model_id",
            "in": "path",
            "required": true
          },
          {
            "type": "string",
            "default": "2017-02-13",
            "description": "The release date of the version of the API you want to use. Specify dates in YYYY-MM-DD format.",
            "name": "version",
            "in": "query"
          }
        ],
        "responses": {
          "200": {
            "description": "Model definition",
            "schema": {
              "type": "string",
              "format": "binary"
            }
          },
          "401": {
            "description": "Unauthorized",
            "schema": {
              "$ref": "#/definitions/Error"
            }
          },
          "404": {
            "description": "The model cannot be found.",
            "schema": {
              "$ref": "#/definitions/Error"
            }
          }
        }
      }
    },
    "/di/v1/models/{model_id}/export": {
      "get": {
        "description": "Export the model definition",
        "produces": [
          "application/octet-stream"
        ],
        "tags": [
          "Models"
        ],
        "summary": "Export the model definition.",
        "operationId": "exportModel",
        "parameters": [
          {
            "type": "string",
            "format": "string",
            "description": "The id of the model.",
            "name": "model_id",
            "in": "path",
            "required": true
          }
        ],
        "responses": {
          "200": {
            "description": "Model definition",
            "schema": {
              "type": "string",
              "format": "binary"
            }
          },
          "401": {
            "description": "Unauthorized",
            "schema": {
              "$ref": "#/definitions/Error"
            }
          },
          "404": {
            "description": "The model cannot be found.",
            "schema": {
              "$ref": "#/definitions/Error"
            }
          }
        }
      }
    },
    "/di/v1/models/{model_id}/kill": {
      "get": {
        "description": "Get detailed information about a model such as training status.\n",
        "tags": [
          "Models"
        ],
        "summary": "Get detailed information about a model.",
        "operationId": "KillTrainingModel",
        "parameters": [
          {
            "type": "string",
            "description": "The id of the model.",
            "name": "model_id",
            "in": "path",
            "required": true
          }
        ],
        "responses": {
          "200": {
            "description": "Detailed model and training information.",
            "schema": {
              "$ref": "#/definitions/Model"
            }
          },
          "401": {
            "description": "Unauthorized",
            "schema": {
              "$ref": "#/definitions/Error"
            }
          },
          "404": {
            "description": "Model with the given ID not found.",
            "schema": {
              "$ref": "#/definitions/Error"
            }
          }
        }
      }
    },
    "/di/v1/models/{model_id}/logs": {
      "get": {
        "security": [],
        "description": "Get training logs for the given model as websocket stream. Each message can contain one or more log lines.\n",
        "produces": [
          "application/octet-stream"
        ],
        "tags": [
          "Models"
        ],
        "summary": "Get training logs as websocket stream.\n",
        "operationId": "getLogs",
        "parameters": [
          {
            "type": "string",
            "format": "string",
            "description": "The id of the model.",
            "name": "model_id",
            "in": "path",
            "required": true
          },
          {
            "type": "boolean",
            "format": "boolean",
            "default": false,
            "description": "Follow the log stream if true. Default false.",
            "name": "follow",
            "in": "query"
          },
          {
            "type": "string",
            "format": "string",
            "default": "",
            "description": "An RFC3339 timestamp from which to show logs. If this value precedes the time a pod was started, only logs since the pod start will be returned.  If this value is in the future, no logs will be returned.",
            "name": "since_time",
            "in": "query"
          },
          {
            "type": "string",
            "default": "2017-02-13",
            "description": "The release date of the version of the API you want to use. Specify dates in YYYY-MM-DD format.",
            "name": "version",
            "in": "query"
          }
        ],
        "responses": {
          "200": {
            "description": "Dump of the training log to-date",
            "schema": {
              "type": "string",
              "format": "binary"
            }
          },
          "401": {
            "description": "Unauthorized",
            "schema": {
              "$ref": "#/definitions/Error"
            }
          },
          "404": {
            "description": "The model cannot be found.",
            "schema": {
              "$ref": "#/definitions/Error"
            }
          }
        }
      }
    },
    "/di/v1/models/{model_id}/retry": {
      "get": {
        "description": "Retry detailed information about a model such as training status.\n",
        "tags": [
          "Models"
        ],
        "summary": "Retry detailed information about a model.",
        "operationId": "retryModel",
        "parameters": [
          {
            "type": "string",
            "description": "The id of the model.",
            "name": "model_id",
            "in": "path",
            "required": true
          },
          {
            "type": "string",
            "default": "2017-02-13",
            "description": "The release date of the version of the API you want to use. Specify dates in YYYY-MM-DD format.",
            "name": "version",
            "in": "query"
          }
        ],
        "responses": {
          "200": {
            "description": "Model repeat successfully.",
            "schema": {
              "$ref": "#/definitions/BasicModel"
            }
          },
          "401": {
            "description": "Unauthorized",
            "schema": {
              "$ref": "#/definitions/Error"
            }
          },
          "404": {
            "description": "The model cannot be found.",
            "schema": {
              "$ref": "#/definitions/Error"
            }
          }
        }
      }
    },
    "/di/v1/models/{model_id}/trained_model": {
      "get": {
        "description": "Downloads the trained model as ZIP archive.",
        "produces": [
          "application/octet-stream"
        ],
        "tags": [
          "Models"
        ],
        "summary": "Downloads the trained model.",
        "operationId": "downloadTrainedModel",
        "parameters": [
          {
            "type": "string",
            "format": "string",
            "description": "The id of the model.",
            "name": "model_id",
            "in": "path",
            "required": true
          },
          {
            "type": "string",
            "default": "2017-02-13",
            "description": "The release date of the version of the API you want to use. Specify dates in YYYY-MM-DD format.",
            "name": "version",
            "in": "query"
          }
        ],
        "responses": {
          "200": {
            "description": "Model definition",
            "schema": {
              "type": "string",
              "format": "binary"
            }
          },
          "401": {
            "description": "Unauthorized",
            "schema": {
              "$ref": "#/definitions/Error"
            }
          },
          "404": {
            "description": "The trained model cannot be found.",
            "schema": {
              "$ref": "#/definitions/Error"
            }
          },
          "410": {
            "description": "If the trained model storage time has expired and it has been deleted. It only gets deleted if it not stored on an external data store.",
            "schema": {
              "$ref": "#/definitions/Error"
            }
          }
        }
      }
    }
  },
  "definitions": {
    "BasicModel": {
      "type": "object",
      "properties": {
        "model_id": {
          "description": "A unique id of the deep learning model.",
          "type": "string"
        }
      }
    },
    "BasicNewModel": {
      "allOf": [
        {
          "$ref": "#/definitions/BasicModel"
        },
        {
          "properties": {
            "location": {
              "description": "Location of the model to retrieve it.",
              "type": "string"
            }
          }
        }
      ]
    },
    "CodeUploadResponse": {
      "type": "object",
      "properties": {
        "s3Path": {
          "description": "S3 Path",
          "type": "string",
          "format": "int64"
        }
      }
    },
    "DSSInfo": {
      "type": "object",
      "properties": {
        "flow_id": {
          "type": "number",
          "format": "int64"
        },
        "flow_name": {
          "type": "string"
        },
        "flow_version": {
          "type": "string"
        },
        "project_id": {
          "type": "number",
          "format": "int64"
        },
        "project_name": {
          "type": "string"
        }
      }
    },
    "DataSet": {
      "type": "object",
      "properties": {
        "testing_data_path": {
          "description": "the path of testing data set",
          "type": "string"
        },
        "testing_label_path": {
          "description": "the path of testing data label.",
          "type": "string"
        },
        "training_data_path": {
          "description": "the path of training data set.",
          "type": "string"
        },
        "training_label_path": {
          "description": "the path of training data label.",
          "type": "string"
        },
        "validation_data_path": {
          "description": "the path of validation data set.",
          "type": "string"
        },
        "validation_label_path": {
          "description": "the path of validation data label.",
          "type": "string"
        }
      }
    },
    "Datastore": {
      "type": "object",
      "properties": {
        "Fields": {
          "type": "object",
          "additionalProperties": {
            "type": "string"
          }
        },
        "connection": {
          "type": "object",
          "additionalProperties": {
            "type": "string"
          }
        },
        "data_store_id": {
          "description": "the id of the data store as defined in the manifest.",
          "type": "string"
        },
        "type": {
          "description": "the type of the data store as defined in the manifest.",
          "type": "string"
        }
      }
    },
    "DssUserInfo": {
      "type": "object",
      "properties": {
        "userName": {
          "description": "UserName",
          "type": "string"
        }
      }
    },
    "Endpoint": {
      "type": "object",
      "properties": {
        "id": {
          "description": "the id of the endpoint",
          "type": "string"
        },
        "url": {
          "description": "the url of the endpoint",
          "type": "string"
        }
      }
    },
    "EndpointList": {
      "type": "object",
      "properties": {
        "endpoints": {
          "type": "array",
          "items": {
            "$ref": "#/definitions/Endpoint"
          }
        }
      }
    },
    "Error": {
      "type": "object",
      "properties": {
        "code": {
          "type": "integer",
          "format": "int32"
        },
        "error": {
          "type": "string"
        },
        "msg": {
          "type": "string"
        }
      }
    },
    "ExperimentRunLogRequest": {
      "type": "object",
      "properties": {
        "fromline": {
          "description": "request log from line.",
          "type": "number",
          "format": "int64"
        },
        "size": {
          "description": "request log size.",
          "type": "number",
          "format": "int64"
        }
      }
    },
    "ExperimentRunLogResponse": {
      "type": "object",
      "properties": {
        "fromline": {
          "description": "log from line number",
          "type": "number",
          "format": "int64"
        },
        "id": {
          "description": "prophecis_experiment_run entity",
          "type": "number",
          "format": "int64"
        },
        "log": {
          "type": "array",
          "items": {
            "type": "string"
          }
        }
      }
    },
    "ExperimentRunStatusResponse": {
      "type": "object",
      "properties": {
        "runId": {
          "description": "experiment run id.",
          "type": "number",
          "format": "int64"
        },
        "status": {
          "description": "experiment run status.",
          "type": "string"
        }
      }
    },
    "Fields": {
      "description": "TFOS Archives \u0026 PyFile Fields",
      "type": "object",
      "properties": {
        "hdfs": {
          "description": "HDFS Path.",
          "type": "string"
        },
        "resource_id": {
          "description": "BML Resource ID.",
          "type": "string"
        },
        "version": {
          "description": "BML Resource Version.",
          "type": "string"
        }
      }
    },
    "Framework": {
      "type": "object",
      "properties": {
        "name": {
          "description": "the name of the deep learning framework (e.g. caffe, torch, tensorflow)",
          "type": "string"
        },
        "version": {
          "description": "the version of the specific framework to use.",
          "type": "string"
        }
      }
    },
    "GetDashboardsResponse": {
      "type": "object",
      "properties": {
        "cpus": {
          "description": "number of cpu.",
          "type": "string"
        },
        "runningInstances": {
          "description": "number of running instances.",
          "type": "string"
        },
        "totalInstances": {
          "description": "total number of instances.",
          "type": "string"
        }
      }
    },
    "LogResponse": {
      "type": "object",
      "properties": {
        "is_last_line": {
          "type": "string"
        },
        "logs": {
          "type": "array",
          "items": {
            "type": "string"
          }
        }
      }
    },
    "Model": {
      "allOf": [
        {
          "$ref": "#/definitions/BasicNewModel"
        },
        {
          "properties": {
            "JobAlert": {
              "description": "Job Alert String.",
              "type": "string"
            },
            "JobType": {
              "description": "Job Type.",
              "type": "string"
            },
            "TFosRequest": {
              "description": "TFosRequest",
              "$ref": "#/definitions/TFosRequest"
            },
            "api_type": {
              "description": "api type of xgboost or lightgbm",
              "type": "string"
            },
            "code_selector": {
              "description": "code_selector type file",
              "type": "string"
            },
            "completed_timestamp": {
              "description": "completed timestamp of the job",
              "type": "string"
            },
            "data_set": {
              "$ref": "#/definitions/DataSet"
            },
            "data_stores": {
              "type": "array",
              "items": {
                "$ref": "#/definitions/Datastore"
              }
            },
            "description": {
              "description": "Detailed description of deep learning model.",
              "type": "string"
            },
            "expName": {
              "description": "Experiment Name",
              "type": "string"
            },
            "expRunId": {
              "description": "Experiment Run Id",
              "type": "string"
            },
            "fileName": {
              "description": "Code File's Name",
              "type": "string"
            },
            "filePath": {
              "description": "Code File's Path",
              "type": "string"
            },
            "framework": {
              "$ref": "#/definitions/Framework"
            },
            "job_namespace": {
              "description": "job's namespace.",
              "type": "string"
            },
            "job_params": {
              "description": "algorithm of training job",
              "type": "string"
            },
            "name": {
              "description": "The name of the deep learning model.",
              "type": "string"
            },
            "proxy_user": {
              "description": "proxy user of job",
              "type": "string"
            },
            "ps_cpu": {
              "description": "Count of Param Server",
              "type": "string"
            },
            "ps_image": {
              "description": "Count of Param Server",
              "type": "string"
            },
            "ps_memory": {
              "description": "Count of Param Server",
              "type": "string"
            },
            "pss": {
              "description": "Count of Param Server",
              "type": "string"
            },
            "submission_timestamp": {
              "description": "submission timestamp of the job.",
              "type": "string"
            },
            "submit_id": {
              "description": "submit_id describe user submit",
              "type": "string"
            },
            "training": {
              "$ref": "#/definitions/Training"
            },
            "user_id": {
              "description": "user name.",
              "type": "string"
            }
          }
        }
      ]
    },
    "ModelList": {
      "type": "object",
      "properties": {
        "models": {
          "type": "array",
          "items": {
            "$ref": "#/definitions/Model"
          }
        },
        "pages": {
          "type": "integer"
        },
        "total": {
          "type": "integer"
        }
      }
    },
    "ProphecisExperiment": {
      "type": "object",
      "required": [
        "exp_name",
        "exp_desc"
      ],
      "properties": {
        "create_type": {
          "description": "Create Type.",
          "type": "string"
        },
        "create_user": {
          "description": "user entity",
          "type": "object",
          "$ref": "#/definitions/User"
        },
        "dss_bml_last_version": {
          "description": "DSS Flow BML Version",
          "type": "string"
        },
        "dss_dss_flow_name": {
          "description": "DSS DSS Flow Name",
          "type": "string"
        },
        "dss_dss_flow_project_version_id": {
          "description": "DSS DSS Flow Project Version Id",
          "type": "string"
        },
        "dss_dss_flow_version": {
          "description": "DSS DSS Flow Version",
          "type": "string"
        },
        "dss_dss_project_id": {
          "description": "DSS DSS Project Id",
          "type": "number",
          "format": "int64"
        },
        "dss_dss_project_name": {
          "description": "DSS DSS Project Name",
          "type": "string"
        },
        "dss_flow_id": {
          "description": "DSS Flow ID.",
          "type": "number",
          "format": "int64"
        },
        "dss_project_id": {
          "description": "DSS Project ID.",
          "type": "number",
          "format": "int64"
        },
        "dss_project_version_id": {
          "description": "DSS Project Version.",
          "type": "number",
          "format": "int64"
        },
        "dss_workspace_id": {
          "description": "DSS Workspace ID.",
          "type": "number",
          "format": "int64"
        },
        "enable_flag": {
          "description": "Flag of Delete.",
          "type": "string"
        },
        "exp_create_time": {
          "description": "Timestamp of experiment create.",
          "type": "string",
          "format": "date-time"
        },
        "exp_create_user_id": {
          "description": "User of experiment creator.",
          "type": "number",
          "format": "int64"
        },
        "exp_desc": {
          "description": "Experiment Description.",
          "type": "string"
        },
        "exp_modify_time": {
          "description": "Timestamp of experiment modify.",
          "type": "string",
          "format": "date-time"
        },
        "exp_modify_user_id": {
          "description": "User of last experiment modifier.",
          "type": "number",
          "format": "int64"
        },
        "exp_name": {
          "description": "Experiment Name.",
          "type": "string"
        },
        "group_name": {
          "description": "Experiment Name.",
          "type": "string"
        },
        "id": {
          "description": "Experiment id.",
          "type": "number",
          "format": "int64"
        },
        "mlflow_exp_id": {
          "description": "MLFlow Experiment ID.",
          "type": "string"
        },
        "modify_user": {
          "description": "user entity",
          "type": "object",
          "$ref": "#/definitions/User"
        },
        "tag_list": {
          "type": "array",
          "items": {
            "$ref": "#/definitions/ProphecisExperimentTag"
          }
        }
      }
    },
    "ProphecisExperimentGetResponse": {
      "type": "object",
      "required": [
        "prophecis_experiment",
        "flow_json"
      ],
      "properties": {
        "flow_json": {
          "type": "string"
        },
        "prophecis_experiment": {
          "$ref": "#/definitions/ProphecisExperiment"
        }
      }
    },
    "ProphecisExperimentIDResponse": {
      "type": "object",
      "required": [
        "id"
      ],
      "properties": {
        "exp_name": {
          "description": "ProphecisExperiment Name",
          "type": "string"
        },
        "id": {
          "description": "ProphecisExperiment ID",
          "type": "number",
          "format": "int64"
        }
      }
    },
    "ProphecisExperimentPutBasicInfo": {
      "type": "object",
      "properties": {
        "exp_desc": {
          "description": "Experiment Description.",
          "type": "string"
        },
        "exp_name": {
          "description": "Experiment Name.",
          "type": "string"
        },
        "group_name": {
          "description": "Experiment group.",
          "type": "string"
        },
        "tag_list": {
          "description": "Experiment Tags",
          "type": "array",
          "items": {
            "$ref": "#/definitions/ProphecisExperimentTagPutBasicInfo"
          }
        }
      }
    },
    "ProphecisExperimentPutRequest": {
      "type": "object",
      "required": [
        "experiment_id",
        "flow_json"
      ],
      "properties": {
        "experiment_id": {
          "description": "ProphecisExperiment ID",
          "type": "number",
          "format": "int64"
        },
        "flow_json": {
          "type": "string"
        }
      }
    },
    "ProphecisExperimentRequest": {
      "type": "object",
      "required": [
        "exp_name",
        "exp_desc"
      ],
      "properties": {
        "create_type": {
          "description": "experiment type, default \"MLFlow\", choose next value, \"WTSS\" \"DSS\" \"MLFlow\"",
          "type": "string",
          "default": "MLFlow"
        },
        "dss_info": {
          "type": "object",
          "$ref": "#/definitions/DSSInfo"
        },
        "exp_desc": {
          "description": "Experiment Description.",
          "type": "string"
        },
        "exp_id": {
          "description": "Experiment id.",
          "type": "number",
          "format": "int64"
        },
        "exp_name": {
          "description": "Experiment Name.",
          "type": "string"
        },
        "group_name": {
          "description": "Group Name.",
          "type": "string"
        },
        "tag_list": {
          "description": "Experiment Tags",
          "type": "array",
          "items": {
            "$ref": "#/definitions/ProphecisExperimentTagPutBasicInfo"
          }
        }
      }
    },
    "ProphecisExperimentRun": {
      "type": "object",
      "required": [
        "exp_id",
        "exp_exec_type"
      ],
      "properties": {
        "dss_exec_id": {
          "description": "linkis flow exec id.",
          "type": "string"
        },
        "dss_flow_id": {
          "description": "DSS Flow ID.",
          "type": "number",
          "format": "int64"
        },
        "dss_flow_last_version_id": {
          "description": "DSS Flow Version ID.",
          "type": "number",
          "format": "int64"
        },
        "enable_flag": {
          "description": "Flag of Delete.",
          "type": "string"
        },
        "exp_exec_status": {
          "description": "Experiment Exec Type, include RUNNING/SCHEDULED/FINISHED/FAILED/KILLED.",
          "type": "string"
        },
        "exp_exec_type": {
          "description": "Experiment Exec Type, include CLI/UI/DSS/Schedulis.",
          "type": "string"
        },
        "exp_id": {
          "description": "Experiment ID.",
          "type": "number",
          "format": "int64"
        },
        "exp_run_create_time": {
          "description": "Created Timestamp of Experiment Exec.",
          "type": "string",
          "format": "date-time"
        },
        "exp_run_create_user_id": {
          "description": "User of experiment exec.",
          "type": "number",
          "format": "int64"
        },
        "exp_run_end_time": {
          "description": "Timestamp of Experiment finished.",
          "type": "string",
          "format": "date-time"
        },
        "exp_run_modify_user_id": {
          "description": "User of modify experiment exec.",
          "type": "number",
          "format": "int64"
        },
        "experiment": {
          "description": "experiment entity.",
          "type": "object",
          "$ref": "#/definitions/ProphecisExperiment"
        },
        "id": {
          "description": "Experiment Exec ID.",
          "type": "number"
        },
        "user": {
          "description": "user entity",
          "type": "object",
          "$ref": "#/definitions/User"
        }
      }
    },
    "ProphecisExperimentRunRequest": {
      "type": "object",
      "required": [
        "exp_exec_type"
      ],
      "properties": {
        "exp_exec_type": {
          "description": "Experiment Run type, Include CLI/UI/DSS/Schedulis.",
          "type": "string"
        },
        "flow_json": {
          "description": "Experiment Run type, Include CLI/UI/DSS/Schedulis.",
          "type": "string"
        },
        "run_date": {
          "description": "Experiment Run run date.",
          "type": "string"
        }
      }
    },
    "ProphecisExperimentRunResponse": {
      "type": "object",
      "properties": {
        "exp_exec_id": {
          "description": "Experiment Run ID",
          "type": "number"
        }
      }
    },
    "ProphecisExperimentRuns": {
      "type": "object",
      "properties": {
        "experiment_runs": {
          "type": "array",
          "items": {
            "$ref": "#/definitions/ProphecisExperimentRun"
          }
        },
        "page_number": {
          "type": "number",
          "format": "int64"
        },
        "page_size": {
          "type": "number",
          "format": "int64"
        },
        "total": {
          "type": "number",
          "format": "int64"
        },
        "total_page": {
          "type": "number",
          "format": "int64"
        }
      }
    },
    "ProphecisExperimentRunsGetResponse": {
      "type": "object",
      "required": [
        "prophecis_experiment_run",
        "flow_json"
      ],
      "properties": {
        "flow_json": {
          "type": "string"
        },
        "prophecis_experiment_run": {
          "description": "prophecis_experiment_run entity",
          "$ref": "#/definitions/ProphecisExperimentRun"
        }
      }
    },
    "ProphecisExperimentTag": {
      "type": "object",
      "required": [
        "exp_tag"
      ],
      "properties": {
        "enable_flag": {
          "description": "Flag of Delete.",
          "type": "string"
        },
        "exp_id": {
          "description": "Experiment ID.",
          "type": "number",
          "format": "int64"
        },
        "exp_tag": {
          "description": "Experiment Tag Name.",
          "type": "string"
        },
        "exp_tag_create_time": {
          "description": "Timestamp recorded when this Experiment Tag  was created.",
          "type": "string",
          "format": "date-time"
        },
        "exp_tag_create_user_id": {
          "description": "Creator recorded when this Experiment Tag  was created.",
          "type": "integer"
        },
        "id": {
          "description": "Experiment Tag ID.",
          "type": "number",
          "format": "int64"
        }
      }
    },
    "ProphecisExperimentTagPostRequest": {
      "type": "object",
      "required": [
        "exp_tag"
      ],
      "properties": {
        "exp_id": {
          "description": "experiment id.",
          "type": "number",
          "format": "int64"
        },
        "exp_tag": {
          "description": "Experiment Tag Name.",
          "type": "string"
        }
      }
    },
    "ProphecisExperimentTagPutBasicInfo": {
      "type": "object",
      "properties": {
        "exp_id": {
          "description": "Experiment Id",
          "type": "number"
        },
        "exp_tag": {
          "description": "Experiment's Tag",
          "type": "string"
        }
      }
    },
    "ProphecisExperimentTags": {
      "type": "object",
      "properties": {
        "experiment_tags": {
          "type": "array",
          "items": {
            "$ref": "#/definitions/ProphecisExperimentTag"
          }
        },
        "page_number": {
          "type": "number",
          "format": "int64"
        },
        "page_size": {
          "type": "number",
          "format": "int64"
        }
      }
    },
    "ProphecisExperiments": {
      "type": "object",
      "properties": {
        "experiments": {
          "type": "array",
          "items": {
            "$ref": "#/definitions/ProphecisExperiment"
          }
        },
        "page_number": {
          "type": "number",
          "format": "int64"
        },
        "page_size": {
          "type": "number",
          "format": "int64"
        },
        "total": {
          "type": "number",
          "format": "int64"
        },
        "total_page": {
          "type": "number",
          "format": "int64"
        }
      }
    },
    "ProphecisExportExperimentDssResponse": {
      "type": "object",
      "properties": {
        "resourceId": {
          "description": "Resource Id",
          "type": "string"
        },
        "version": {
          "description": "Version",
          "type": "string"
        }
      }
    },
    "ProphecisImportExperimentDssResponse": {
      "type": "object",
      "properties": {
        "expId": {
          "description": "Experiment Id",
          "type": "number",
          "format": "int64"
        }
      }
    },
    "TFosRequest": {
      "type": "object",
      "properties": {
        "Archives": {
          "description": "Archives Fields.",
          "type": "array",
          "items": {
            "$ref": "#/definitions/Fields"
          }
        },
        "Command": {
          "description": "Experiment Description.",
          "type": "string"
        },
        "DriverMemory": {
          "description": "Queue Setting Driver Memory.",
          "type": "string"
        },
        "EntryPoint": {
          "description": "EntryPoint Fields.",
          "$ref": "#/definitions/Fields"
        },
        "ExecutorCores": {
          "description": "Queue Setting Executor Cores.",
          "type": "string"
        },
        "ExecutorMemory": {
          "description": "Queue Setting Executor Memory.",
          "type": "string"
        },
        "Executors": {
          "description": "Queue Setting Executor Number.",
          "type": "string"
        },
        "Queue": {
          "description": "Queue Setting.",
          "type": "string"
        },
        "TensorflowEnv": {
          "description": "Tensorflow Env Files.",
          "$ref": "#/definitions/Fields"
        },
        "py_file": {
          "description": "PyFiles Fields.",
          "type": "array",
          "items": {
            "$ref": "#/definitions/Fields"
          }
        }
      }
    },
    "Training": {
      "type": "object",
      "properties": {
        "command": {
          "description": "the command invoked for running the training. This is specific to the DL framework",
          "type": "string"
        },
        "cpus": {
          "description": "Number of CPUs required",
          "type": "number",
          "format": "double"
        },
        "gpus": {
          "description": "Number of CPUs required",
          "type": "number",
          "format": "double"
        },
        "input_data": {
          "description": "Input data to the training, such as training data, pre-trained model. The input is specified as references to the data_store ids that contain the data.",
          "type": "array",
          "items": {
            "description": "Reference to a data store id.",
            "type": "string"
          }
        },
        "learners": {
          "description": "Number of learners required.",
          "type": "integer",
          "format": "int32"
        },
        "memory": {
          "description": "Amount of memory required",
          "type": "number",
          "format": "double"
        },
        "memory_unit": {
          "description": "Memory unit (default: MiB)\n",
          "type": "string",
          "default": "MiB",
          "enum": [
            "MiB",
            "MB",
            "GiB",
            "GB"
          ]
        },
        "output_data": {
          "description": "Output data of the training, such as trained models. The output is specified as references to the data_store ids that contain the data.",
          "type": "array",
          "items": {
            "description": "Reference to a data store id.",
            "type": "string"
          }
        },
        "size": {
          "description": "the pre-configured deployment size to used for training. The is used instead of directly specifying CPU, GPU, memory and learners.",
          "type": "string"
        },
        "training_status": {
          "$ref": "#/definitions/TrainingStatus"
        }
      }
    },
    "TrainingStatus": {
      "type": "object",
      "properties": {
        "completed": {
          "description": "Training completion timestamp (Format: yyyy-MM-dd'T'HH:mm:ss.SSS'Z')\n",
          "type": "string"
        },
        "error_code": {
          "description": "A code identifying the cause of a status message.",
          "type": "string"
        },
        "status": {
          "description": "Status of the training.",
          "type": "string"
        },
        "status_description": {
          "description": "Description of the training status.",
          "type": "string"
        },
        "status_message": {
          "description": "A human readable message description of the training status.",
          "type": "string"
        },
        "submitted": {
          "description": "Training submission timestamp (Format: yyyy-MM-dd'T'HH:mm:ss.SSS'Z')\n",
          "type": "string"
        }
      }
    },
    "TrainingUpdate": {
      "type": "object",
      "properties": {
        "status": {
          "description": "The status action to be executed on the training job. (Currently only ` + "`" + `halt` + "`" + ` is supported.)",
          "type": "string"
        }
      }
    },
    "User": {
      "required": [
        "id"
      ],
      "properties": {
        "Name": {
          "description": "Flag of Delete.",
          "type": "string"
        },
        "Remarks": {
          "description": "Flag of Delete.",
          "type": "string"
        },
        "id": {
          "description": "Flag of Delete.",
          "type": "number",
          "format": "int64"
        }
      }
    },
    "v1LogLine": {
      "type": "object",
      "properties": {
        "line": {
          "type": "string"
        },
        "meta": {
          "$ref": "#/definitions/v1MetaInfo"
        }
      }
    },
    "v1LogLinesList": {
      "type": "object",
      "properties": {
        "models": {
          "type": "array",
          "items": {
            "$ref": "#/definitions/v1LogLine"
          }
        }
      }
    },
    "v1MetaInfo": {
      "type": "object",
      "properties": {
        "rindex": {
          "type": "number",
          "format": "int64",
          "title": "sequential index"
        },
        "time": {
          "description": "Time that the metric occured: representing the number of millisecond since midnight January 1, 1970.",
          "type": "number",
          "format": "int64"
        },
        "training_id": {
          "type": "string",
          "title": "Unique id identifying the training job"
        },
        "user_id": {
          "type": "string",
          "title": "Unique id identifying the user"
        }
      }
    }
  },
  "securityDefinitions": {
    "basicAuth": {
      "description": "Basic Autentication credentials for using the API.",
      "type": "basic"
    },
    "basicAuthToken": {
      "description": "Watson Developer Cloud Basic Autentication. See [here](https://www.ibm.com/smarterplanet/us/en/ibmwatson/developercloud/doc/getting_started/gs-tokens.shtml) for more information",
      "type": "apiKey",
      "name": "Authorization",
      "in": "header"
    },
    "watsonAuthToken": {
      "description": "Watson Developer Cloud Token Autentication. See [here](https://www.ibm.com/smarterplanet/us/en/ibmwatson/developercloud/doc/getting_started/gs-tokens.shtml) for more information",
      "type": "apiKey",
      "name": "X-Watson-Authorization-Token",
      "in": "header"
    },
    "watsonAuthTokenQuery": {
      "description": "Watson Developer Cloud Token Autentication. See [here](https://www.ibm.com/smarterplanet/us/en/ibmwatson/developercloud/doc/getting_started/gs-tokens.shtml) for more information",
      "type": "apiKey",
      "name": "watson-token",
      "in": "query"
    }
  },
  "security": [
    {
      "basicAuthToken": []
    },
    {
      "watsonAuthToken": []
    },
    {
      "watsonAuthTokenQuery": []
    }
  ]
}`))
}
