[toc]

## 1. 配置结构

* Prophecis HelmChart
* Notebook Controller Helm Chart
* Seldon Core Helm Chart
## 2. Prophecis Helm Chart

### 2.1 目录结构

* 配置文件位置：**install/Prophecis**
* 文件内容：
    * values.yaml  #差异化变量
    * templates    #目录，存放prophecis对应服务的各类k8s资源对象
### 2.2 values配置

* namespace: 命名空间名字
* envir: 环境标志(部分共享目录依赖改标志，可忽略)
* platformNodeSelectors:
    * mlss-node-role: prophecis服务运行label
* ceph_path:ceph存储位置
* db：数据库相关配置
* image：镜像仓库相关配置
* gateway：网关地址，默认配置为某一台node地址即可
* minio：对象存储相关配置
* mongo：mongo数据库配置，MLFlow Job及Notebook均有数据存放于此
* elasticsearch：es相关配置，存储日志
* persistent：对应localstack(storage pod)的相关存储目录
* trainer：MLFlow trainer服务的相关配置
* storage：MLFlow storage服务的相关配置
    * uploadContainerPath
    * share_storage_dir
* restapi：MLFlow restapi服务的相关配置
* lcm：MLFlow lcm服务的相关配置
    * fluent_bit_log_path：job日志存放位置
    * mlssGroupId：使用公共目录时，job用户的gid
* jm：MLFlow jm服务的相关配置
* trainingdata: MLFlow trainingdata服务的相关配置
* cc: 管理台的相关配置
    * admin:  管理员用户相关配置
        * user: hadoop
        * password: hadoop
    * ldap: 登录验证LDAP相关配置
        * address: ldap://10.107.96.180:1389/
        * baseDN: dc=webank,dc=com
* ccGateway：网关的相关配置
* aide：MLLbais服务相关配置
    * startPort: Notebook SparkClient所使用的NodePort的起始端口；
    * endPort: Notebook SparkClient所使用的NodePort的结束端口；
    * maxSparkSessionNum: Notebook 可使用SparkClient的最大数量；
    * hadoop
        * enable:  是否开启Hadoop功能，若选择开启，会挂载以下配置路径
        * installPath:  hadoop、spark安装的相关路径
        * commonlibPath:  commonlib相关安装路径
        * configPath:  hadoop、spark配置文件路径
        * javaPath: java安装文件路径
        * sourceConfigPath:  notebook需要加载配置文件路径，该配置会在jupyter lab启动时加载
        * hostFilePath:  notebook需要加载配置host文件配置，该配置会在jupyter lab启动时加载
    * * ui: 前端相关配置
    * service:
        * bdap:
            * nodePort: 网页访问端口
    * grafana:
        * url: 基础控制台的grafana url配置
    * dashboard:
        * url: 基础控制台的k8s dashboard url配置
    * prometheus:
        * utl: 基础控制台的k8s prometheus url配置
    * kibana:
        * url: 基础控制台的k8s kibana url配置
* linkis：linkis服务相关配置
* linkispro：linkis生产中心相关配置
* mlflow：databrick mlflow地址
* tfjob：分布式tf任务使用镜像地址
* mf：模型工厂服务相关配置
### 2.3 templates配置

* cc: 关于控制台的相关
    * gateway: 网关服务和容器部署
* di:
    * storage: 存储相关服务
    * restapi: 处理外部相关微服务请求
    * lcm: 任务队列管理
    * jm: job任务监测
    * trainer: 管理额模型训练任务
    * trainingdata: 获取模型训练中产生的日志
    * fluent-bit: 训练日志收集
    * mlflow：databrick mlflow服务配置
* ingrastructure: 关于存储服务
    * mongo:
    * etcd:
* LogCollectorDS: 日志组件
* mllabis: jupyter lab 的相关
    * aide:
* persistent: 关于持久化
    * etcd:
    * mongo:
* ui: 关于网页界面展示
    * bdap-ui:
* mf：模型工厂相关
## 3. NotebookController Helm Chart

### 3.1 目录结构

* 配置文件位置：**install/notebook-controller**
* 文件内容：
    * values.yaml
    * templates目录：
### 3.2 values配置

* namespace: 命名空间名字
* platformNodeSelectors:
    * mlss-node-role: prophecis服务运行label
* services：
    * expose_node_port: false
* mllabis: jupyter lab 相关
    * image:
        * repostitory: 仓库位置
        * tag: 镜像标签
    * service:
        * type: 节点类型
        * port: 集群内部服务端口
        * targetPort: 容器访问端口
        * nodePort: 外部访问端口
    * controller:
        * notebook:
            * repository: 镜像仓库
            * tag: 镜像标签
        * meta:
            * repositroy:
            * tag
### 3.3 template配置

* metacontroller: CRD的Resouce资源配置
* notebook-controller：notebook CRD相关配置
