// Code generated by go-swagger; DO NOT EDIT.

package model_storage

// This file was generated by the swagger tool.
// Editing this file might prove futile when you re-run the swagger generate command

import (
	"net/http"

	"github.com/go-openapi/errors"
	"github.com/go-openapi/runtime"
	"github.com/go-openapi/runtime/middleware"
	"github.com/go-openapi/swag"

	strfmt "github.com/go-openapi/strfmt"
)

// NewListModelVersionPushEventsByModelVersionIDParams creates a new ListModelVersionPushEventsByModelVersionIDParams object
// with the default values initialized.
func NewListModelVersionPushEventsByModelVersionIDParams() ListModelVersionPushEventsByModelVersionIDParams {

	var (
		// initialize parameters with default values

		currentPageDefault = int64(1)

		pageSizeDefault = int64(10)
	)

	return ListModelVersionPushEventsByModelVersionIDParams{
		CurrentPage: &currentPageDefault,

		PageSize: &pageSizeDefault,
	}
}

// ListModelVersionPushEventsByModelVersionIDParams contains all the bound params for the list model version push events by model version Id operation
// typically these are obtained from a http.Request
//
// swagger:parameters listModelVersionPushEventsByModelVersionId
type ListModelVersionPushEventsByModelVersionIDParams struct {

	// HTTP Request Object
	HTTPRequest *http.Request `json:"-"`

	/*
	  In: query
	  Default: 1
	*/
	CurrentPage *int64
	/*
	  Required: true
	  In: path
	*/
	ModelVersionID int64
	/*
	  In: query
	  Default: 10
	*/
	PageSize *int64
}

// BindRequest both binds and validates a request, it assumes that complex things implement a Validatable(strfmt.Registry) error interface
// for simple values it will use straight method calls.
//
// To ensure default values, the struct must have been initialized with NewListModelVersionPushEventsByModelVersionIDParams() beforehand.
func (o *ListModelVersionPushEventsByModelVersionIDParams) BindRequest(r *http.Request, route *middleware.MatchedRoute) error {
	var res []error

	o.HTTPRequest = r

	qs := runtime.Values(r.URL.Query())

	qCurrentPage, qhkCurrentPage, _ := qs.GetOK("currentPage")
	if err := o.bindCurrentPage(qCurrentPage, qhkCurrentPage, route.Formats); err != nil {
		res = append(res, err)
	}

	rModelVersionID, rhkModelVersionID, _ := route.Params.GetOK("modelVersionId")
	if err := o.bindModelVersionID(rModelVersionID, rhkModelVersionID, route.Formats); err != nil {
		res = append(res, err)
	}

	qPageSize, qhkPageSize, _ := qs.GetOK("pageSize")
	if err := o.bindPageSize(qPageSize, qhkPageSize, route.Formats); err != nil {
		res = append(res, err)
	}

	if len(res) > 0 {
		return errors.CompositeValidationError(res...)
	}
	return nil
}

// bindCurrentPage binds and validates parameter CurrentPage from query.
func (o *ListModelVersionPushEventsByModelVersionIDParams) bindCurrentPage(rawData []string, hasKey bool, formats strfmt.Registry) error {
	var raw string
	if len(rawData) > 0 {
		raw = rawData[len(rawData)-1]
	}

	// Required: false
	// AllowEmptyValue: false
	if raw == "" { // empty values pass all other validations
		// Default values have been previously initialized by NewListModelVersionPushEventsByModelVersionIDParams()
		return nil
	}

	value, err := swag.ConvertInt64(raw)
	if err != nil {
		return errors.InvalidType("currentPage", "query", "int64", raw)
	}
	o.CurrentPage = &value

	return nil
}

// bindModelVersionID binds and validates parameter ModelVersionID from path.
func (o *ListModelVersionPushEventsByModelVersionIDParams) bindModelVersionID(rawData []string, hasKey bool, formats strfmt.Registry) error {
	var raw string
	if len(rawData) > 0 {
		raw = rawData[len(rawData)-1]
	}

	// Required: true
	// Parameter is provided by construction from the route

	value, err := swag.ConvertInt64(raw)
	if err != nil {
		return errors.InvalidType("modelVersionId", "path", "int64", raw)
	}
	o.ModelVersionID = value

	return nil
}

// bindPageSize binds and validates parameter PageSize from query.
func (o *ListModelVersionPushEventsByModelVersionIDParams) bindPageSize(rawData []string, hasKey bool, formats strfmt.Registry) error {
	var raw string
	if len(rawData) > 0 {
		raw = rawData[len(rawData)-1]
	}

	// Required: false
	// AllowEmptyValue: false
	if raw == "" { // empty values pass all other validations
		// Default values have been previously initialized by NewListModelVersionPushEventsByModelVersionIDParams()
		return nil
	}

	value, err := swag.ConvertInt64(raw)
	if err != nil {
		return errors.InvalidType("pageSize", "query", "int64", raw)
	}
	o.PageSize = &value

	return nil
}
