// Code generated by go-swagger; DO NOT EDIT.

package model_storage

// This file was generated by the swagger tool.
// Editing this file might prove futile when you re-run the swagger generate command

import (
	"io"
	"net/http"

	"github.com/go-openapi/errors"
	"github.com/go-openapi/runtime"
	"github.com/go-openapi/runtime/middleware"
	"github.com/go-openapi/swag"

	strfmt "github.com/go-openapi/strfmt"

	models "mlss-mf/pkg/models"
)

// NewUpdateModelParams creates a new UpdateModelParams object
// no default values defined in spec.
func NewUpdateModelParams() UpdateModelParams {

	return UpdateModelParams{}
}

// UpdateModelParams contains all the bound params for the update model operation
// typically these are obtained from a http.Request
//
// swagger:parameters updateModel
type UpdateModelParams struct {

	// HTTP Request Object
	HTTPRequest *http.Request `json:"-"`

	/*The Model Request
	  Required: true
	  In: body
	*/
	Model *models.ModelRequest
	/*
	  Required: true
	  In: path
	*/
	ModelID int64
}

// BindRequest both binds and validates a request, it assumes that complex things implement a Validatable(strfmt.Registry) error interface
// for simple values it will use straight method calls.
//
// To ensure default values, the struct must have been initialized with NewUpdateModelParams() beforehand.
func (o *UpdateModelParams) BindRequest(r *http.Request, route *middleware.MatchedRoute) error {
	var res []error

	o.HTTPRequest = r

	if runtime.HasBody(r) {
		defer r.Body.Close()
		var body models.ModelRequest
		if err := route.Consumer.Consume(r.Body, &body); err != nil {
			if err == io.EOF {
				res = append(res, errors.Required("model", "body"))
			} else {
				res = append(res, errors.NewParseError("model", "body", "", err))
			}
		} else {
			// validate body object
			if err := body.Validate(route.Formats); err != nil {
				res = append(res, err)
			}

			if len(res) == 0 {
				o.Model = &body
			}
		}
	} else {
		res = append(res, errors.Required("model", "body"))
	}
	rModelID, rhkModelID, _ := route.Params.GetOK("modelID")
	if err := o.bindModelID(rModelID, rhkModelID, route.Formats); err != nil {
		res = append(res, err)
	}

	if len(res) > 0 {
		return errors.CompositeValidationError(res...)
	}
	return nil
}

// bindModelID binds and validates parameter ModelID from path.
func (o *UpdateModelParams) bindModelID(rawData []string, hasKey bool, formats strfmt.Registry) error {
	var raw string
	if len(rawData) > 0 {
		raw = rawData[len(rawData)-1]
	}

	// Required: true
	// Parameter is provided by construction from the route

	value, err := swag.ConvertInt64(raw)
	if err != nil {
		return errors.InvalidType("modelID", "path", "int64", raw)
	}
	o.ModelID = value

	return nil
}
